<?php function st_color_options() {
$color_options = array(
array(
'name'=>__('Background Colours', 'stallion'),
'desc'=>__('Background colours not dealt with elsewhere. Please note the Defaults are from the Basic Defaults colour scheme which are BASIC: white, black, few greys and red and blue for links.', 'stallion'),
'type'=>'section',
),
array(
'id'=>'color-1',
'name'=>__('Outer Gradient 1', 'stallion'),
'desc'=>__('Gradient Color 1', 'stallion'),
'class' => 'body',
'element' => 'gradiant-from',
'type'=>'color',
'dark'=> '#FAFAFA',
'default' => '',

'index' => 1,
),
array(
'id'=>'color-2',
'name'=>__('Outer Gradient 2', 'stallion'),
'desc'=>__('Gradient Color 2', 'stallion'),
'class' => 'body',
'element' => 'gradiant-to',
'type'=>'color',
'dark'=> '#FAFAFA',
'default' => '',

'index' => 2,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-5',
'name'=>__('Inner Gradient 1', 'stallion'),
'desc'=>__('Gradient Color 1', 'stallion'),
'class' => '#wrap_stallion',
'element' => 'gradiant-from',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 5,
),
array(
'id'=>'color-6',
'name'=>__('Inner Gradient 2', 'stallion'),
'desc'=>__('Gradient Color 2', 'stallion'),
'class' => '#wrap_stallion',
'element' => 'gradiant-to',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 6,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),

array(
'type' => 'close',
'class' => 'close',
),
array(
'name' => __('Header Area', 'stallion'),
'desc'=>__('Header area options', 'stallion'),
'type' => 'section',
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-29',
'name'=>__('Head Background', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '#header_stallion2, #header_stallion_2011',
'element' => 'color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 29,
),
array(
'id'=>'color-30',
'name'=>__('Head Top and Bottom Border', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '#header_stallion2, #header_stallion_2011',
'element' => 'color',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',

'index' => 30,
),
/*array(
'id'=>'color-31',
'name'=>__('Head Left and Right Border', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '#header_stallion2, #header_stallion_2011',
'element' => 'color',
'type'=>'color',
'dark'=> '#000000',
'default' => '',

'index' => 31,
),*/
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-32',
'name'=>__('Body Text (generally not used)', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => 'body',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 32,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-35',
'name'=>__('Head Home Link Anchor Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '#branding a:link, #branding a:visited, .h1disc a:link, .h1disc a:visited',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 35,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-38',
'name'=>__('Head Home Link Anchor Text Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '#branding a:hover, #branding a:active, .h1disc a:hover, .h1disc a:active',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 38,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-41',
'name'=>__('Head Tagline Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '#site-description, .description',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 41,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-44',
'name'=>__('Head Search Form Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '.src_field',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FAFAFA',
'default' => '',

'index' => 44,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-47',
'name'=>__('Head Search Form Background Hover', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '.src_field:focus',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FAFAFA',
'default' => '',

'index' => 47,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-50',
'name'=>__('Head Search Form Border All', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.src_field',
'element' => 'color',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',

'index' => 50,
),
array(
'id'=>'color-51',
'name'=>__('Head Search Form Text', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.src_field',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 51,
),
array(
'type' => 'close',
'class' => 'close',
),
array(
'name' => __('Main Content', 'stallion'),
'desc'=>__('Content not including comments, widgets, footer', 'stallion'),
'type' => 'section',
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-56',
'name'=>__('Content Background Gradient 1', 'stallion'),
'desc'=>__('Gradient Color 1', 'stallion'),
'class' => '.post-meta, .commenthead',
'element' => 'gradiant-from',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 56,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-59',
'name'=>__('Content Background Gradient 2', 'stallion'),
'desc'=>__('Gradient Color 2', 'stallion'),
'class' => '.post-meta, .commenthead',
'element' => 'gradiant-to',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',
'index' => 59,
),
#array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-61',
'name'=>__('Main Content Border Top and Bottom', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.post-meta, .commenthead',
'element' => 'color',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',
'index' => 61,
),
array(
'id'=>'color-62',
'name'=>__('Main Content Border Left and Right', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.post-meta, .commenthead',
'element' => 'color',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',
'index' => 62,
),
array(
'id'=>'color-63',
'name'=>__('Main Content Separator Line : Line Between Archived Posts', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => 'hr.stseparator',
'element' => 'color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',
'index' => 63,
),
#array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-65',
'name'=>__('Large Heading Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '#contread, .archives',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 65,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-68',
'name'=>__('H* Post Links Anchor Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.stpostlink a:link, .stpostlink a:visited',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 68,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-71',
'name'=>__('H* Post Links Anchor Text Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.stpostlink a:hover, .stpostlink a:active',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 71,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-74',
'name'=>__('Date Area Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.post-date',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 74,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-77',
'name'=>__('Date Area Links Anchor Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.post-date a:link, .post-date a:visited',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 77,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-80',
'name'=>__('Date Area Links Anchor Text Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.post-date a:hover, .post-date a:active',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 80,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-83',
'name'=>__('Main Content Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.post-content',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 83,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-86',
'name'=>__('Main Content H* Headers Text (H1, H2... H6)', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.post-content h1, .post-content h2, .post-content h3, .post-content h4, .post-content h5, .post-content h6',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 86,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-89',
'name'=>__('Main Content Links Anchor Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.post-content a:link, .post-content a:visited',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',
'index' => 89,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-92',
'name'=>__('Main Content Links Anchor Text Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.post-content a:hover, .post-content a:active',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',
'index' => 92,
),
array(
'id'=>'color-93',
'name'=>__('Main Content Continue Reading Links Anchor Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => 'a.contread:link, a.contread:visited',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',
'index' => 93,
),
array(
'id'=>'color-94',
'name'=>__('Main Content Continue Reading Links Anchor Text Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => 'a.contread:hover, a.contread:active',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',
'index' => 94,
),
#array('type' => 'blank','class' => 'blank',),
#array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-95',
'name'=>__('Main Content Blockquote Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '.post-content blockquote, .post-content q',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 95,
),
array(
'id'=>'color-96',
'name'=>__('Main Content Blockquote Border All', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.post-content blockquote, .post-content q',
'element' => 'color',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',

'index' => 96,
),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-98',
'name'=>__('Main Content Blockquote Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.post-content blockquote, .post-content q',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 98,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-101',
'name'=>__('Main Content Blockquote Cite Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.post-content blockquote cite',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 101,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-104',
'name'=>__('Main Content Code Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '.post-content code',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 104,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-107',
'name'=>__('Main Content Code Border All', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.post-content code',
'element' => 'color',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',

'index' => 107,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-110',
'name'=>__('Main Content Code Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.post-content code',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 110,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-113',
'name'=>__('Main Content Pre Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '.post-content pre',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 113,
),
array(
'id'=>'color-114',
'name'=>__('Main Content Pre Border All', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.post-content pre',
'element' => 'color',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',

'index' => 114,
),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-116',
'name'=>__('Main Content Pre Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.post-content pre',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 116,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-119',
'name'=>__('Main Comment Button Links Anchor Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.postcom, .postcom a:link, .postcom a:visited',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 119,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-122',
'name'=>__('Main Comment Button Links Anchor Text Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.postcom:hover, .postcom a:hover, .postcom a:active',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 122,
),
array(
'id'=>'color-123',
'name'=>__('Main Comment Button Links Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '.postcom',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 123,
),
array(
'id'=>'color-124',
'name'=>__('Main Comment Button Links Background Hover', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '.postcom:hover',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 124,
),
array(
'id'=>'color-125',
'name'=>__('Main Comment Button Links Border All', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.postcom',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 125,
),
array(
'id'=>'color-126',
'name'=>__('Main Comment Button Links Border All Hover', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.postcom:hover',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 126,
),
array('type' => 'blank','class' => 'blank',),
array(
'type' => 'close',
'class' => 'close',
),
array(
'name' => __('Images', 'stallion'),
'desc'=>__('Images', 'stallion'),
'type' => 'section',
),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-131',
'name'=>__('Gallery HoverOver Caption Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '.gallery-caption',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 131,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-134',
'name'=>__('Gallery HoverOver Caption Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.gallery-caption',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 134,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-137',
'name'=>__('Image Caption Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '.wp-caption',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 137,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-140',
'name'=>__('Image Caption Border', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.wp-caption',
'element' => 'border-color',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',

'index' => 140,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-143',
'name'=>__('Image Caption Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.wp-caption .wp-caption-text',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 143,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-146',
'name'=>__('Image Caption Anchor Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.wp-caption a:link, .wp-caption a:visited',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 146,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-149',
'name'=>__('Image Caption Anchor Text Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.wp-caption a:hover, .wp-caption a:active',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 149,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-152',
'name'=>__('Caption Image Link Hover Background', 'stallion'),
'desc'=>__('Background', 'stallion'),
'class' => '.wp-caption a:focus img, .wp-caption a:active img, .wp-caption a:hover img',
'element' => 'background-color:',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 152,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-155',
'name'=>__('Caption Image Link Hover Border', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.wp-caption a:focus img, .wp-caption a:active img, .wp-caption a:hover img',
'element' => 'border-color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 155,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-158',
'name'=>__('Image Border', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => 'img[class*="align"], img[class*="wp-image-"]',
'element' => 'border',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',

'index' => 158,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-161',
'name'=>__('Image Link Hover Background', 'stallion'),
'desc'=>__('Background', 'stallion'),
'class' => 'a:focus img[class*="align"], a:hover img[class*="align"], a:active img[class*="align"], a:focus img[class*="wp-image-"], a:hover img[class*="wp-image-"], a:active img[class*="wp-image-"]',
'element' => 'background-color:',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 161,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-164',
'name'=>__('Image Link Hover Border', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => 'a:focus img[class*="align"], a:hover img[class*="align"], a:active img[class*="align"], a:focus img[class*="wp-image-"], a:hover img[class*="wp-image-"], a:active img[class*="wp-image-"]',
'element' => 'border-color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 164,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'type' => 'close',
'class' => 'close',
),
array(
'name' => __('Featured Slider', 'stallion'),
'desc'=>__('Featured image slider', 'stallion'),
'type' => 'section',
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-186',
'name'=>__('Slider Main Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '#st_feature',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 186,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-190',
'name'=>__('Slider Main Border', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '#st_feature',
'element' => 'border',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',

'index' => 190,
),
array(
'id'=>'color-191',
'name'=>__('Inner Text Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '#st_feature .st_feature_post .st_feature_main',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 191,
),
array(
'id'=>'color-192',
'name'=>__('Inner Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '#st_feature .st_feature_post .st_feature_main',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 192,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-195',
'name'=>__('Inner Link Anchor Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.st_feature_main a:link, .st_feature_main a:visited',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 195,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-198',
'name'=>__('Inner Link Anchor Text Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.st_feature_main a:hover, .st_feature_main a:active',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 198,
),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-200',
'name'=>__('Bottom Button', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '.st_feature_pager a',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 200,
),
array(
'id'=>'color-201',
'name'=>__('Bottom Button Hover', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '.st_feature_pager a:hover',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 201,
),
array(
'id'=>'color-202',
'name'=>__('Bottom Button Border', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.st_feature_pager a',
'element' => 'border',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 202,
),
array(
'id'=>'color-203',
'name'=>__('Bottom Button Border Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.st_feature_pager a:hover',
'element' => 'border',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 203,
),
array(
'id'=>'color-204',
'name'=>__('Bottom Button Arrow', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.st_feature_nav a:link, .st_feature_nav a:visited',
'element' => 'border',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 204,
),
array(
'id'=>'color-205',
'name'=>__('Bottom Button Arrow Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.st_feature_nav a:hover, .st_feature_nav a:active',
'element' => 'border',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 205,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'type' => 'close',
'class' => 'close',
),
array(
'name' => __('Miscellaneous', 'stallion'),
'desc'=>__('Various stuff', 'stallion'),
'type' => 'section',
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-214',
'name'=>__('Next - Prev Navigation Border', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.wp-pagenavi a, .wp-pagenavi span',
'element' => 'border',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',

'index' => 214,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-217',
'name'=>__('Next - Prev Navigation Links Anchor Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.wp-pagenavi a:link, .wp-pagenavi a:visited',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 217,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-220',
'name'=>__('Next - Prev Navigation Links Anchor Text Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.wp-pagenavi a:hover, .wp-pagenavi a:active',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 220,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-223',
'name'=>__('Scroll Top/Bottom Arrows', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.strotate',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 223,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-226',
'name'=>__('Scroll Top/Bottom Arrows Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.strotate:hover',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 226,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'type' => 'close',
'class' => 'close',
),
array(
'name' => __('Author Biography Box', 'stallion'),
'desc'=>__('Author bio box on Posts and Static Pages.', 'stallion'),
'type' => 'section',
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-244',
'name'=>__('Background Gradient 1', 'stallion'),
'desc'=>__('Gradient Color 1', 'stallion'),
'class' => '.author-bio',
'element' => 'gradiant-from',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 244,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-247',
'name'=>__('Background Gradient 2', 'stallion'),
'desc'=>__('Gradient Color 2', 'stallion'),
'class' => '.author-bio',
'element' => 'gradiant-to',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 247,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-250',
'name'=>__('Border All', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.author-bio',
'element' => 'color',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',

'index' => 250,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-253',
'name'=>__('Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.author-bio',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 253,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-256',
'name'=>__('Links Anchor Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.author-bio a:link, .author-bio a:visited',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 256,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-259',
'name'=>__('Links Anchor Text Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.author-bio a:hover, .author-bio a:active',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 259,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'type' => 'close',
'class' => 'close',
),
array(
'name' => __('Widgets', 'stallion'),
'desc'=>__('Widget Areas', 'stallion'),
'type' => 'section',
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-289',
'name'=>__('Widget Border All', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.widget-container',
'element' => 'border',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',

'index' => 289,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-292',
'name'=>__('Widget Heading Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => 'span.gat_widget, h1.gat_widget',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 292,
),
array(
'id'=>'color-293',
'name'=>__('Widget Heading Top and Bottom Border', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => 'span.gat_widget, h1.gat_widget',
'element' => 'border',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',

'index' => 293,
),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-295',
'name'=>__('Widget Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '.widget-container',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 295,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-298',
'name'=>__('Widget Heading Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => 'span.gat_widget, h1.gat_widget',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 298,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-301',
'name'=>__('Widget Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.widget-container',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 301,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-304',
'name'=>__('Widget Links Anchor Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.sidebar-box a:link, .sidebar-box a:visited, .loglinks',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 304,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-307',
'name'=>__('Widget Links Anchor Text Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.sidebar-box a:hover, .sidebar-box a:active, .loglinks:hover',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 307,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-310',
'name'=>__('Widget Heading Links Anchor Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.gat_widget a:link, .gat_widget a:visited',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 310,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-313',
'name'=>__('Widget Heading Links Anchor Text Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.gat_widget a:hover, .gat_widget a:active',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 313,
),
array(
'id'=>'color-314',
'name'=>__('Search Widget Button Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '#searchwidget input#searchsubmit, #cse-search-box input.art-button',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 314,
),
array(
'id'=>'color-315',
'name'=>__('Search Widget Button Border All', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '#searchwidget input#searchsubmit, #cse-search-box input.art-button',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 315,
),
array(
'id'=>'color-316',
'name'=>__('Search Widget Button Go Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '#searchwidget input#searchsubmit, #cse-search-box input.art-button',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 316,
),
array(
'id'=>'color-317',
'name'=>__('Search Widget Button Background Hover', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '#searchwidget input#searchsubmit:hover, #cse-search-box input.art-button:hover',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 317,
),
array(
'id'=>'color-318',
'name'=>__('Search Widget Button Border All Hover', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '#searchwidget input#searchsubmit:hover, #cse-search-box input.art-button:hover',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 318,
),
array(
'id'=>'color-319',
'name'=>__('Search Widget Button Text Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '#searchwidget input#searchsubmit:hover, #cse-search-box input.art-button:hover',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 319,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'type' => 'close',
'class' => 'close',
),
array(
'name' => __('Comments', 'stallion'),
'desc'=>__('Comment Area', 'stallion'),
'type' => 'section',
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-346',
'name'=>__('Comment Main Headings Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '#comments, #respond, .trackbacks',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 346,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-349',
'name'=>__('Comment Form Input Box Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '#comment-box input, #comment-box2 input, #comment-area textarea',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 349,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-352',
'name'=>__('Comment Form Input Box Background Hover', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '#comment-box input:hover, #comment-box2 input:hover, #comment-area textarea:hover',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 352,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-355',
'name'=>__('Comment Form Input Box Border All', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '#comment-box input, #comment-box2 input, #comment-area textarea',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 355,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-358',
'name'=>__('Comment Form Input Box Border All Hover', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '#comment-box input:hover, #comment-box2 input:hover, #comment-area textarea:hover',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 358,
),
array(
'id'=>'color-359',
'name'=>__('Comment Form Text Labels (Name, Mail...)', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '#comment-box p, #comment-box2 p, #comment-area p',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 359,
),
array(
'id'=>'color-360',
'name'=>__('Comment Form Text (Typed Text)', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '#comment-box input, #comment-box2 input, #comment-area textarea',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 360,
),
array(
'id'=>'color-361',
'name'=>__('Comment Submit Button Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '#comment-area #submit',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 361,
),
array(
'id'=>'color-362',
'name'=>__('Comment Submit Button Border All', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '#comment-area #submit',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 362,
),
array(
'id'=>'color-363',
'name'=>__('Comment Submit Button Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '#comment-area #submit',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 363,
),
array(
'id'=>'color-364',
'name'=>__('Comment Submit Button Background Hover', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '#comment-area #submit:hover',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 364,
),
array(
'id'=>'color-365',
'name'=>__('Comment Submit Button Border All Hover', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '#comment-area #submit:hover',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 365,
),
array(
'id'=>'color-366',
'name'=>__('Comment Submit Button Text Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '#comment-area #submit:hover',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 366,
),
array(
'id'=>'color-367',
'name'=>__('Even Comments Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => 'li.even, li.even .bnofollow, .children li.even .bnofollow, .children .children li.even .bnofollow, .children .children .children li.even .bnofollow, .children .children .children .children li.even .bnofollow, .children .children .children .children .children li.even .bnofollow, .children .children .children .children .children .children li.even .bnofollow, .children .children .children .children .children .children .children li.even .bnofollow, .children .children .children .children .children .children .children .children li.even .bnofollow, .children .children .children .children .children .children .children .children .children li.even .bnofollow',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 367,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-370',
'name'=>__('Even Comments Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => 'li.even, li.even .bnofollow, .children li.even .bnofollow, .children .children li.even .bnofollow, .children .children .children li.even .bnofollow, .children .children .children .children li.even .bnofollow, .children .children .children .children .children li.even .bnofollow, .children .children .children .children .children .children li.even .bnofollow, .children .children .children .children .children .children .children li.even .bnofollow, .children .children .children .children .children .children .children .children li.even .bnofollow, .children .children .children .children .children .children .children .children .children li.even .bnofollow',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 370,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-373',
'name'=>__('Odd Comments Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => 'li.odd, li.odd .bnofollow, .children li.odd .bnofollow, .children .children li.odd .bnofollow, .children .children .children li.odd .bnofollow, .children .children .children .children li.odd .bnofollow, .children .children .children .children .children li.odd .bnofollow, .children .children .children .children .children .children li.odd .bnofollow, .children .children .children .children .children .children .children li.odd .bnofollow, .children .children .children .children .children .children .children .children li.odd .bnofollow, .children .children .children .children .children .children .children .children .children li.odd .bnofollow',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 373,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-376',
'name'=>__('Odd Comments Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => 'li.odd, li.odd .bnofollow, .children li.odd .bnofollow, .children .children li.odd .bnofollow, .children .children .children li.odd .bnofollow, .children .children .children .children li.odd .bnofollow, .children .children .children .children .children li.odd .bnofollow, .children .children .children .children .children .children li.odd .bnofollow, .children .children .children .children .children .children .children li.odd .bnofollow, .children .children .children .children .children .children .children .children li.odd .bnofollow, .children .children .children .children .children .children .children .children .children li.odd .bnofollow',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 376,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-379',
'name'=>__('Links Anchor Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.comment-stallion a:link, .comment-stallion a:visited, .bnofollow',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 379,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-382',
'name'=>__('Links Anchor Text Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.comment-stallion a:hover, .comment-stallion a:active, .bnofollow:hover',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 382,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-385',
'name'=>__('Comment Title Text (Comments with Titles)', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.comment-title',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 385,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-388',
'name'=>__('H* Headers Text (H1, H2... H6)', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.comment-stallion h1, .comment-stallion h2, .comment-stallion h3, .comment-stallion h4, .comment-stallion h5, .comment-stallion h6',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 388,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-391',
'name'=>__('Comment Blockquote Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '.comment-stallion blockquote, .comment-stallion q',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 391,
),
array(
'id'=>'color-392',
'name'=>__('Comment Blockquote Border All', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.comment-stallion blockquote, .comment-stallion q',
'element' => 'color',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',

'index' => 392,
),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-394',
'name'=>__('Comment Blockquote Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.comment-stallion blockquote, .comment-stallion q',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 394,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-397',
'name'=>__('Comment Blockquote Cite Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.comment-stallion blockquote cite',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 397,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-400',
'name'=>__('Comment Code Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '.comment-stallion code',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 400,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-403',
'name'=>__('Comment Code Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.comment-stallion code',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 403,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-406',
'name'=>__('Comment Code Border All', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.comment-stallion code',
'element' => 'color',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',

'index' => 406,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-409',
'name'=>__('Comment Pre Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '.comment-stallion pre',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 409,
),
array(
'id'=>'color-410',
'name'=>__('Comment Pre Border All', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.comment-stallion pre',
'element' => 'color',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',

'index' => 410,
),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-412',
'name'=>__('Comment Pre Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '.comment-stallion pre',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 412,
),
#array('type' => 'blank','class' => 'blank',),
#array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-413',
'name'=>__('Individual Comments Outer Border Top', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => 'li.odd, li.even',
'element' => 'color',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',
'index' => 413,
),
array(
'id'=>'color-414',
'name'=>__('Individual Comments Outer Border Bottom', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => 'li.odd, li.even',
'element' => 'color',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',
'index' => 414,
),
array(
'id'=>'color-415',
'name'=>__('Individual Comments Outer Border Left and Right', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => 'li.odd, li.even',
'element' => 'color',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',
'index' => 415,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-418',
'name'=>__('Individual Comments Inner Border All', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.com-wrapper',
'element' => 'color',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',

'index' => 418,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-421',
'name'=>__('Admin Individual Comments Inner Border All', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.comment-stallion .list-4 li .admin',
'element' => 'color',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',

'index' => 421,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'type' => 'close',
'class' => 'close',
),
array(
'name' => __('Footer', 'stallion'),
'desc'=>__('Footer Area', 'stallion'),
'type' => 'section',
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-454',
'name'=>__('Footer Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '#footer_stallion',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 454,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-457',
'name'=>__('Footer Top and Bottom Border', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '#footer_stallion',
'element' => 'color',
'type'=>'color',
'dark'=> '#F0F0F0',
'default' => '',

'index' => 457,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-460',
'name'=>__('Footer Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '#footer_stallion',
'element' => 'color',
'type'=>'color',
'dark'=> '#202020',
'default' => '',

'index' => 460,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-463',
'name'=>__('Footer Links Anchor Text', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '#footer_stallion a:link, #footer_stallion a:visited',
'element' => 'color',
'type'=>'color',
'dark'=> '#0000FF',
'default' => '',

'index' => 463,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-466',
'name'=>__('Footer Links Anchor Text Hover', 'stallion'),
'desc'=>__('Text Color', 'stallion'),
'class' => '#footer_stallion a:hover,#footer_stallion a:active',
'element' => 'color',
'type'=>'color',
'dark'=> '#FF0000',
'default' => '',

'index' => 466,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'type' => 'close',
'class' => 'close',
),
array(
'name' => __('Navigation Menu Desktop : 800px Plus Screens', 'stallion'),
'desc'=>__('Main navigation menus', 'stallion'),
'type' => 'section',
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-491',
'name'=>__('Menu Top Line - Background Gradient 1', 'stallion'),
'desc'=>__('Gradient Color 1', 'stallion'),
'class' => '.menu',
'element' => 'gradiant-from',
'type'=>'color',
'dark'=> '#606060',
'default' => '',

'index' => 491,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-494',
'name'=>__('Menu Top Line - Background Gradient 2', 'stallion'),
'desc'=>__('Gradient Color 2', 'stallion'),
'class' => '.menu',
'element' => 'gradiant-to',
'type'=>'color',
'dark'=> '#707070',
'default' => '',

'index' => 494,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-497',
'name'=>__('Menu Top Line - Hover Background Gradient 1', 'stallion'),
'desc'=>__('Gradient Color 1', 'stallion'),
'class' => '.menu a:hover',
'element' => 'gradiant-from',
'type'=>'color',
'dark'=> '#707070',
'default' => '',

'index' => 497,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-500',
'name'=>__('Menu Top Line - Hover Background Gradient 2', 'stallion'),
'desc'=>__('Gradient Color 2', 'stallion'),
'class' => '.menu a:hover',
'element' => 'gradiant-to',
'type'=>'color',
'dark'=> '#606060',
'default' => '',

'index' => 500,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-503',
'name'=>__('Menu Top Line - DropDown Top Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => 'ul.menu > li:hover',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#606060',
'default' => '',

'index' => 503,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-506',
'name'=>__('Menu Top Line - Right Border', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.menu a',
'element' => 'border-right',
'type'=>'color',
'dark'=> '#FCFCFC',
'default' => '',

'index' => 506,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-509',
'name'=>__('Menu Top Line - Links Anchor Text', 'stallion'),
'desc'=>__('Link Color', 'stallion'),
'class' => '.menu a',
'element' => 'color',
'type'=>'color',
'dark'=> '#FCFCFC',
'default' => '',

'index' => 509,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-515',
'name'=>__('Menu Top Line - Links Anchor Text Hover', 'stallion'),
'desc'=>__('Link Color', 'stallion'),
'class' => '.menu a:hover',
'element' => 'color',
'type'=>'color',
'dark'=> '#F5F5F5',
'default' => '',

'index' => 515,
),
array(
'id'=>'color-516',
'name'=>__('Menu Top Line - Right Border Hover', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.menu a:hover',
'element' => 'border-right',
'type'=>'color',
'dark'=> '#F5F5F5',
'default' => '',

'index' => 516,
),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-518',
'name'=>__('Menu DropDown - Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '.menu li li',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FCFCFC',
'default' => '',

'index' => 518,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-521',
'name'=>__('Menu DropDown - Border All', 'stallion'),
'desc'=>__('Border', 'stallion'),
'class' => '.menu li li',
'element' => 'border',
'type'=>'color',
'dark'=> '#F5F5F5',
'default' => '',

'index' => 521,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-524',
'name'=>__('Menu DropDown - Links Anchor Text', 'stallion'),
'desc'=>__('Anchor Text', 'stallion'),
'class' => '.menu li li a',
'element' => 'color',
'type'=>'color',
'dark'=> '#606060',
'default' => '',

'index' => 524,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-527',
'name'=>__('Menu DropDown - Background Hover', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '.menu li li a:hover',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 527,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-530',
'name'=>__('Menu DropDown - Links Anchor Text Hover', 'stallion'),
'desc'=>__('Anchor Text', 'stallion'),
'class' => '.menu li li a:hover',
'element' => 'color',
'type'=>'color',
'dark'=> '#606060',
'default' => '',

'index' => 530,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'type' => 'close',
'class' => 'close',
),
array(
'name' => __('Navigation Menu Mobile', 'stallion'),
'desc'=>__('Screen sizes below 800px', 'stallion'),
'type' => 'section',
),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-554',
'name'=>__('Menu Top Line - Background Gradient 1', 'stallion'),
'desc'=>__('Gradient Color 1', 'stallion'),
'class' => '.js .str_nav, .js .str_nav_top',
'element' => 'gradiant-from',
'type'=>'color',
'dark'=> '#606060',
'default' => '',

'index' => 554,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-557',
'name'=>__('Menu Top Line - Background Gradient 2', 'stallion'),
'desc'=>__('Gradient Color 2', 'stallion'),
'class' => '.js .str_nav, .js .str_nav_top',
'element' => 'gradiant-to',
'type'=>'color',
'dark'=> '#707070',
'default' => '',

'index' => 557,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-560',
'name'=>__('Menu DropDown - Background', 'stallion'),
'desc'=>__('Background Color', 'stallion'),
'class' => '.js .str_nav .menu li, .js .str_nav_top .menu li',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FCFCFC',
'default' => '',

'index' => 560,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),

array(
'id'=>'color-563',
'name'=>__('Menu DropDown - Background Hover', 'stallion'),
'desc'=>__('background-color', 'stallion'),
'class' => '.js .str_nav .menu li a:hover, .js .str_nav .menu li li a:hover, .js .str_nav_top .menu li a:hover, .js .str_nav_top .menu li li a:hover',
'element' => 'background-color',
'type'=>'color',
'dark'=> '#FFFFFF',
'default' => '',

'index' => 563,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-566',
'name'=>__('Menu DropDown - Bottom Borders', 'stallion'),
'desc'=>__('border-bottom', 'stallion'),
'class' => '.js .str_nav .menu li a, .js .str_nav_top .menu li a',
'element' => 'border-bottom',
'type'=>'color',
'dark'=> '#F5F5F5',
'default' => '',

'index' => 566,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-569',
'name'=>__('Menu DropDown - Links Anchor Text', 'stallion'),
'desc'=>__('Link Color', 'stallion'),
'class' => '.js .str_nav .menu li a, .js .str_nav_top .menu li a',
'element' => 'color',
'type'=>'color',
'dark'=> '#606060',
'default' => '',

'index' => 569,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'id'=>'color-572',
'name'=>__('Menu DropDown - Links Anchor Text Hover', 'stallion'),
'desc'=>__('Link Color', 'stallion'),
'class' => '.js .str_nav .menu li a:hover, .js .str_nav .menu li li a:hover, .js .str_nav_top .menu li a:hover, .js .str_nav_top .menu li li a:hover',
'element' => 'color',
'type'=>'color',
'dark'=> '#606060',
'default' => '',

'index' => 572,
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),

array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),

array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),

array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),

array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),

array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),

array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),

array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'type' => 'close',
'class' => 'close',
),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),

array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),

array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),array('type' => 'blank','class' => 'blank',),
array('type' => 'blank','class' => 'blank',),
array(
'name'=>__('Theme Details', 'stallion'),
'desc'=>__('Enter Theme Details Below.', 'stallion'),
'type'=>'section',
),
array(
'id'=>'theme-name-1',
'name'=>__('Theme Name', 'stallion'),
'desc'=>__('For example: Stallion Responsive Awesome Colours Theme', 'stallion'),
'type'=>'text',
'default' => 'Stallion Responsive Theme',
),
array(
'id'=>'theme-name-2',
'name'=>__('Theme URI', 'stallion'),
'desc'=>__('For example: http://stallion-theme.co.uk/', 'stallion'),
'type'=>'text',
'default' => 'http://stallion-theme.co.uk/',
),
array(
'id'=>'theme-name-3',
'name'=>__('Theme Author', 'stallion'),
'desc'=>__('For example: David Law (aka SEO Dave)', 'stallion'),
'type'=>'text',
'default' => 'David Law (aka SEO Dave)',
),
array(
'id'=>'images-loc',
'name'=>__('Theme Image Folder', 'stallion'),
'desc'=>__('Set location of images for example <strong>images/</strong> for none or <strong>images/custom-01/</strong> to use the Custom 01 folder or for a new child colour scheme called Bob Blue <strong>images/bob-blue/</strong> if you plan to add a new menu.png image to /wp-content/themes/stallion-responsive-child/colors/images/bob-blue/. Note: you have to add your menu.png image manually to the relevant folder.', 'stallion'),
'type'=>'text',
'default' => 'images/',
),
array(
'id'=>'theme-filename-css',
'name'=>__('Theme Filename', 'stallion'),
'desc'=>__('Set the filename for the CSS file, format <strong>style-name.css</strong>. When clicking a Save button above the file will be saved to /wp-content/themes/stallion-responsive-child/colors/. If you are editing a built in theme color your new CSS file (using your settings above) will be used instead.', 'stallion'),
'type'=>'text',
'default' => 'style-example2-st.css',
),
array(
'id'=>'theme-filename-php',
'name'=>__('Theme Filename Backup', 'stallion'),
'desc'=>__('Set the filename for the PHP backup file, format <strong>stallion_color_css_name.php</strong>. When clicking a Save button above the file will be saved to /wp-content/themes/stallion-responsive-child/mydefaults/css/. If you are editing a built in theme color your new CSS file backup file (using your settings above) will be used instead.', 'stallion'),
'type'=>'text',
'default' => 'stallion_color_css_example2-defaults.php',
),
array(
'type' => 'close',
),
array(
'name'=>__('CSS Output', 'stallion'),
'desc'=>__('For Copying and Pasting into Colour CSS File.', 'stallion'),
'type'=>'section',
),
array(
'id'=>'css-2',
'name'=>__('Generated CSS', 'stallion'),
'desc'=>__('Copy and paste the generated CSS code into your style-custom-**.css file in /stallion-responsive-child/colors/', 'stallion'),
'type'=>'textarea',
'default' => '',
),
array(
'id'=>'css-1',
'name'=>__('Custom CSS', 'stallion'),
'desc'=>__('Anything added above will be added to the bottom of the Generated CSS box verbatim. This is NOT added to the CSS Backup Rules for Hard Copy below.', 'stallion'),
'type'=>'textarea',
'default' => '',
),
array(
'type'=>'close',
),
);
return $color_options;
}
?>