<?php
/*
  Theme Plugin Name: Stallion SEO Super Comments
  Version: 8.2
  Author: David Law
  Author URI: http://stallion-theme.co.uk/
  credits
  Vladimir Prelovac  http://www.prelovac.com/vladimir/wordpress-plugins/seo-super-comments
 */

function SEOSCStallion() {
}

if (!class_exists('SEOSuperComments')) :

class SEOSuperComments {

function SEOSuperComments() {
add_filter('single_post_title', array(&$this, 'SEOSuperComments_post_title'), 10);
add_action('parse_query', array(&$this, 'parse'));
}

function SEOSuperComments_process_text($text) {
global $comment, $post;
$cid = $comment->comment_ID;
$anchor = $this->GetExcerpt($text, 4);
return ( $text );
}

function SEOSuperComments_post_title($title) {
#if (isset($_REQUEST['cid'])) {
#$mycomment = get_comment($_REQUEST['cid']);
$cid = SEOSuperCommentscid();
if (isset($cid)) {
$mycomment = get_comment($cid);
$mypost = get_post($mycomment->comment_post_ID);
return $this->GetExcerpt($mycomment->comment_content, 8);
}
else
return $title;
}

function parse() {
global $wp_query;
#if (isset($_REQUEST['cid']) > 0) {
#$mycomment = get_comment($_REQUEST['cid']);
$cid = SEOSuperCommentscid();
if (isset($cid) > 0) {
$mycomment = get_comment($cid);
if (isset($mycomment->comment_content) > 0) {
add_action('template_redirect', array(&$this, 'TemplateRedirect'));
remove_filter('template_redirect', 'cat_temp123');
}
}
}

function get_options() {
$options = array(
'template' => 'single-2.php'
);
return $options;
}

function GetExcerpt($text, $length = 20) {
$text = strip_tags($text);
$words = explode(' ', $text, $length + 1);
if (count($words) > $length) {
array_pop($words);
$text = implode(' ', $words);
}
return ucfirst($text);
}

function get_author_comments($pid, $author, $cid, $email) {
global $wpdb;
$result = '';
$author = addslashes($author);
$stcommentsnum = st_super_comments_more();
$comment_author_email = $email;
$comment_post_ID = $pid;
$comment_approved = '1';
#$comments = $wpdb->get_results($wpdb->prepare("SELECT comment_author, comment_author_url, comment_content, comment_post_ID, comment_ID, comment_author_email FROM $wpdb->comments WHERE comment_approved = '%d' AND comment_author_email = '%s' AND NOT comment_post_ID = '%s' ORDER BY comment_date_gmt DESC LIMIT $stcommentsnum", $comment_approved, $comment_author_email, $comment_post_ID));
$comments = get_comments(array(
	'author_email' => $comment_author_email,
	'ID' => '',
	'karma' => '',
	'number' => $stcommentsnum,
	'offset' => '',
	'orderby' => 'comment_date_gmt',
	'order' => 'DESC',
	'parent' => '',
	'post_id' => 0,
	'post_author' => '',
	'post_name' => '',
	'post_parent' => '',
	'post_status' => 'publish',
	'post_type' => '',
	'status' => 'approve',
	'type' => '',
	'user_id' => '',
	'search' => '',
	'count' => false,
	'meta_key' => '',
	'meta_value' => '',
	'meta_query' => '',
));
if ($comments) {
$result.='</p>';
$result.='</div>';
$result.='</div>';
$result.='<div class="comment-stallion">';
$result.='<div class="commenthead">';
$result.='<p id="comments">&nbsp;&nbsp;' . st_lang_commore() . ' ' . $author . '</p>';
$result.='</div>';
$result.='<div class="divpadding"></div>';
$result.='<ul class="list-4">';
$st=0;
foreach ($comments as $comment) {
$st++;
if ($st == '1' || $st == '3' || $st == '5' || $st == '7') {$oddeven="odd";}
if ($st == '2' || $st == '4' || $st == '6' || $st == '8') {$oddeven="even";}
$result.='<li class="comment '. $oddeven .'">';
$result.='<div class="com-wrapper">';
if (class_exists('GravatarLocalCache')) :
if (st_comment_gravatars_ors() == '1') :
$result.='<div class="gravatars">' . get_avatar($comment, 60,"","*") . '</div>';
endif;
if (function_exists('hkTC_comment_title')):
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true)):
$result.='<div><p><a href="' . esc_url(get_comment_link($comment->comment_ID), null, 'display') . '">' . get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true) . '</a> ' . hkTC_get_comment_title($comment->comment_ID) . ' ' . $this->GetExcerpt($comment->comment_content, st_super_comments_excerpt_length()) . ' ...</p></div>';
else :
$result.='<div><p><a href="' . esc_url(get_comment_link($comment->comment_ID), null, 'display') . '">' . get_the_title($comment->comment_post_ID) . '</a> ' . hkTC_get_comment_title($comment->comment_ID) . ' ' . $this->GetExcerpt($comment->comment_content, st_super_comments_excerpt_length()) . ' ...</p></div>';
endif;

else :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true)):
$result.='<div><a href="' . esc_url(get_comment_link($comment->comment_ID), null, 'display') . '">' . get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true) . '</a> ' . $this->GetExcerpt($comment->comment_content, st_super_comments_excerpt_length()) . ' ...</p></div>';
else :
$result.='<div><a href="' . esc_url(get_comment_link($comment->comment_ID), null, 'display') . '">' . get_the_title($comment->comment_post_ID) . '</a> ' . $this->GetExcerpt($comment->comment_content, st_super_comments_excerpt_length()) . ' ...</p></div>';
endif;
endif;
else :
$email = $comment->comment_author_email;
$size = 60;
$rating = get_option('avatar_rating');
$gravtype = get_option('avatar_default');
$default = urlencode('http://www.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=' . $size);
if ($gravtype == 'mystery')
$grav_url = 'http://www.gravatar.com/avatar/' . md5(strtolower(trim($email))) . '?s=' . $size . '&r=' . $rating . '&d=' . $default;
elseif ($gravtype == 'blank')
$grav_url = "/wp-includes/images/blank.gif";
else
$grav_url = "http://0.gravatar.com/avatar/" . md5(strtolower(trim($email))) . "?s=" . $size . "&amp;d=" . $gravtype . "&amp;r=" . $rating;
if (function_exists('hkTC_comment_title')):
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true)):

if (st_comment_gravatars_ors() == '1') :
$result.='<div class="gravatars" style="background: url(' . $grav_url . ')"></div>';
endif;
$result.='<div><p><a href="' . esc_url(get_comment_link($comment->comment_ID), null, 'display') . '">' . get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true) . '</a> ' . hkTC_get_comment_title($comment->comment_ID) . ' ' . $this->GetExcerpt($comment->comment_content, st_super_comments_excerpt_length()) . ' ...</p></div>';
else :
if (st_comment_gravatars_ors() == '1') :
$result.='<div class="gravatars" style="background: url(' . $grav_url . ')"></div>';
endif;
$result.='<div><p><a href="' . esc_url(get_comment_link($comment->comment_ID), null, 'display') . '">' . get_the_title($comment->comment_post_ID) . '</a> ' . hkTC_get_comment_title($comment->comment_ID) . ' ' . $this->GetExcerpt($comment->comment_content, st_super_comments_excerpt_length()) . ' ...</p></div>';
endif;

else :
if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true)):
if (st_comment_gravatars_ors() == '1') :
$result.='<div class="gravatars" style="background: url(' . $grav_url . ')"></div>';
endif;
$result.='<div><a href="' . esc_url(get_comment_link($comment->comment_ID), null, 'display') . '">' . get_post_meta($comment->comment_post_ID, '_aioseop_kw_2', true) . '</a> ' . $this->GetExcerpt($comment->comment_content, st_super_comments_excerpt_length()) . ' ...</p></div>';
else :
if (st_comment_gravatars_ors() == '1') :
$result.='<div class="gravatars" style="background: url(' . $grav_url . ')"></div>';
endif;
$result.='<div><a href="' . esc_url(get_comment_link($comment->comment_ID), null, 'display') . '">' . get_the_title($comment->comment_post_ID) . '</a> ' . $this->GetExcerpt($comment->comment_content, st_super_comments_excerpt_length()) . ' ...</p></div>';
endif;
endif;

endif; 

if (get_post_meta($comment->comment_post_ID, '_aioseop_kw_3', true)):
$result.='<p class="align-right"><small>' . st_lang_continue() . ' <a class="contread" href="' . esc_url(get_comment_link($comment->comment_ID), null, 'display') . '">' . get_post_meta($comment->comment_post_ID, '_aioseop_kw_3', true) . '</a></small></p>';
else :
$result.='<p class="align-right"><small>' . st_lang_continue() . ' <a class="contread" href="' . esc_url(get_comment_link($comment->comment_ID), null, 'display') . '">' . get_the_title($comment->comment_post_ID) . '</a></small></p>';
endif;
$result.='</div>';
$result.="</li>";

}
$result.='</ul>';
$result.='<div>';
}
return $result . ' ';
}

function CreatePost() {
#$mycomment = get_comment($_REQUEST['cid']);
$cid = SEOSuperCommentscid();
$mycomment = get_comment($cid);
$mypost = get_post($mycomment->comment_post_ID);
#$options = $this->get_options();
$post = new stdClass;
$post->post_author = 1;
global $post;

if (function_exists('hkTC_comment_title') && hkTC_get_comment_title($mycomment->comment_ID, true)) {
$commenhktitle = hkTC_get_comment_title($mycomment->comment_ID);

if (st_super_comments_title2() == '0') {
$post->post_title = $commenhktitle;
} else {
$post->post_title = $commenhktitle . ' : ' . $this->GetExcerpt($mycomment->comment_content, st_super_comments_title2()) . '';
}
} else {
$post->post_title = $this->GetExcerpt($mycomment->comment_content, st_super_comments_title()) . '';
}

$post->post_title = str_replace("\r", " ", str_replace("\n", " ", $post->post_title));
$post->post_title = str_replace(array('   ', '  '), ' ', $post->post_title);

if ((st_seo_data() == '1' || function_exists('aioseop_mrt_mkarry')) && get_post_meta($post->ID, '_aioseop_title', true)):
$author_link = '<p><small>' . st_lang_comon() . ' <a href="' . esc_url(get_comment_link($mycomment->comment_ID), null, 'display') . '">' . get_post_meta($post->ID, '_aioseop_title', true) . '</a> ' . st_lang_by() . ' ' . $mycomment->comment_author . '.</small></p>';

elseif ((st_seo_data() == '2' || function_exists('wpseo_init')) && get_post_meta($post->ID, '_yoast_wpseo_title', true)):
$author_link = '<p><small>' . st_lang_comon() . ' <a href="' . esc_url(get_comment_link($mycomment->comment_ID), null, 'display') . '">' . get_post_meta($post->ID, '_yoast_wpseo_title', true) . '</a> ' . st_lang_by() . ' ' . $mycomment->comment_author . '.</small></p>';

else :
$author_link = '<p><small>' . st_lang_comon() . ' <a href="' . esc_url(get_comment_link($mycomment->comment_ID), null, 'display') . '">' . $mypost->post_title . '</a> ' . st_lang_by() . ' ' . $mycomment->comment_author . '.</small></p>';
endif;

if (st_auto_thumbs_ors() != '0') {
$thumbnail = get_image_path(get_post_meta($mypost->ID, 'thumb', true));
if ($thumbnail != ''):
if (file_exists(STYLESHEETPATH . '/timthumb.php')) {
$st_template_url = get_bloginfo('stylesheet_directory');
} else {
$st_template_url = get_bloginfo('template_url');
}

$author_link.='<a href="' . esc_url(get_comment_link($mycomment->comment_ID), null, 'display') . '"><img src="' . $st_template_url . '/timthumb.php?src=' . $thumbnail . '&amp;w=' . st_auto_thumb_wid() . '&amp;h=' . st_auto_thumb_hei() . '&amp;q=' . st_timtb_quality() . '" class="' . st_auto_thumb_align() . '" alt="' . $mypost->post_title . '" width="' . st_auto_thumb_wid() . '" height="' . st_auto_thumb_hei() . '" /></a>';
else:
if (st_auto_thumbs_ors() == '1') {
$thumb = get_image_path(vp_get_thumb_url($post->post_content));
if ($thumb != '') {
$author_link.='<a href="' . esc_url(get_comment_link($mycomment->comment_ID), null, 'display') . '"><img src="' . $thumb . '" class="' . st_auto_thumb_align() . '" width="' . st_auto_thumb_wid() . '" alt="' . $mypost->post_title . '" /></a>';
}
}
endif;
}
$author_comments = $this->get_author_comments($mypost->ID, $mycomment->comment_author, $mycomment->comment_ID, $mycomment->comment_author_email);
/*if (get_post_meta($post->ID, '_aioseop_kw_1', true)):
#$replycom = '</p><div class="reply"><p><small>' . st_lang_comreplyto() . ' : <a href="' . get_permalink($mypost->ID) . '?replytocom=' . $mycomment->comment_ID . '#respond">' . get_post_meta($post->ID, '_aioseop_kw_1', true) . '</a></small></p></div>';
$replycom = '<div class="reply"><form method="post" action="' . get_permalink($mypost->ID) . '?replytocom=' . $mycomment->comment_ID . '#respond"><small>' . st_lang_comreplyto() . ' : <button class="bnofollow">' . get_post_meta($post->ID, '_aioseop_kw_1', true) . '</button></small></form></div>';
else :
#$replycom = '</p><div class="reply"><p><small>' . st_lang_comreplyto() . ' : <a href="' . get_permalink($mypost->ID) . '?replytocom=' . $mycomment->comment_ID . '#respond">' . $mypost->post_title . '</a></small></p></div>';
$replycom = '<div class="reply"><form method="post" action="' . get_permalink($mypost->ID) . '?replytocom=' . $mycomment->comment_ID . '#respond"><small>' . st_lang_comreplyto() . ' : <button class="bnofollow">' . $mypost->post_title . '</button></small></form></div>';
endif;*/
#$post->post_content = "$author_link" . $mycomment->comment_content . "$replycom $author_comments";
$post->post_content = "$author_link" . $mycomment->comment_content . "$author_comments";
add_filter( 'wpseo_canonical', '__return_false' );
add_filter( 'wpseo_metadesc', '__return_false' );
add_filter( 'wpseo_metakeywords', '__return_false' );
add_filter( 'wpseo_robots', '__return_false' );
remove_action('wp_head', 'rel_canonical');
remove_action('wp_head', 'wp_shortlink_wp_head');
remove_action('wp_head', 'rsd_link');
remove_action('wp_head', 'start_post_rel_link');
remove_action('wp_head', 'wlwmanifest_link');
remove_action('wp_head', 'index_rel_link');
remove_action('wp_head', 'st_seo_yoast_social');
add_action('wp_head', 'strseo_comment_canonical');
return $post;
}

function TemplateRedirect() {
global $wp_query;
$options = $this->get_options();
$page = $options['template'];

if (!file_exists(get_template_directory() . '/' . $page))
$page = 'index.php';

$post = $this->CreatePost();
$wp_query->posts = array();
$wp_query->post_count = 0;
$wp_query->posts[] = $post;
$wp_query->post_count = 1;
if (file_exists(STYLESHEETPATH . '/' . $page)) {
load_template(STYLESHEETPATH . '/' . $page);
} else {
load_template(get_template_directory() . '/' . $page);
}
die();
}

}

endif;

if (class_exists('SEOSuperComments')) :
$SEOSuperComments = new SEOSuperComments();
if (isset($SEOSuperComments)) {
register_activation_hook(__FILE__, array(&$SEOSuperComments, 'install'));
}
endif;

function SEOSuperCommentscid() {
if (isset($_REQUEST['cid'])) {
$commentcode = $_REQUEST['cid'];
return $commentcode;
}
else
return null;
}

function strseo_comment_canonical() {
	global $comment;
	#$mycomment=get_comment($_REQUEST['cid']);
	$cid = SEOSuperCommentscid();
	$mycomment=get_comment($cid);
	$mypost=get_post($mycomment->comment_post_ID);
	#$cid=$_REQUEST['cid'];
	$canonical = get_permalink($mypost->ID).'?cid='.$cid.'';
	echo "<link rel=\"canonical\" href=\"" . $canonical . "\" />\n";
}
/*function strseo_comment_canonical_og() {
	global $comment;
	$mycomment=get_comment($_REQUEST['cid']);
	$mypost=get_post($mycomment->comment_post_ID);
	$cid=$_REQUEST['cid'];
	$canonical = get_permalink($mypost->ID).'?cid='.$cid.'';
return $canonical;
}*/
?>