<?php
/*function str_admin_enqueue_scripts( $hook_suffix ) {
#wp_enqueue_style( 'farbtastic' );
wp_admin_css( 'dashboard' );
wp_enqueue_style( 'drtc-theme-colors', get_template_directory_uri() . '/plugins/colors_css/theme-colors.css', false, '2011-04-28' );
#wp_enqueue_script( 'drtc-theme-colors', get_template_directory_uri() . '/plugins/colors_css/theme-colors.js', array( 'farbtastic' ), '2011-06-10' );
#wp_enqueue_script( 'dashboard' );
}
add_action( 'admin_print_styles-appearance_page_theme_font', 'str_admin_enqueue_scripts' );*/

function str_theme_fonts_init() {
if ( false === str_get_theme_fonts() )
add_option( 'str_theme_fonts_child', str_get_default_theme_font() );

register_setting(
'str_fonts',
'str_theme_fonts_child',
'str_theme_fonts_validate'
);
}
add_action( 'admin_init', 'str_theme_fonts_init' );

/* Add our theme font page to the admin menu */
function str_theme_font_add_page() {
$font_page = add_theme_page(
__( 'Stallion Font Scheme CSS File Creator', 'stallion' ),
__( 'Font Scheme CSS File Creator', 'stallion' ),
'edit_theme_options',
'theme_font',
'theme_font_render_page'
);
}
add_action( 'admin_menu', 'str_theme_font_add_page' );

get_template_part( 'plugins/colors_css/font_css_array_creator' );

/**
 * Returns the default fonts.
 * @since 8.2
 */
function str_get_default_theme_font() {
$defaults = array(
"color-1" => '',
"css-1" => '',
"css-2" => '',
"theme-name-1" => '',
"theme-name-2" => '',
);
return $defaults;
}

function theme_font_render_page() {
?>
<style type="text/css">
/* Start Theme Color Blocks for Options */
.color-swatch{
    border: 1px solid #DFDFDF;
    border-radius: 4px 4px 4px 4px;
	margin: 0 15px 0 5px;
    padding: 4px 14px;
	z-index: 1;
}

.color-block{
	float: left;
	position: relative;
    border: 1px solid #DFDFDF;
    border-radius: 4px 4px 4px 4px;
	border-bottom: none;
    width: 78px;
	height: 18px;
	margin: 0 2px;
    padding: 4px 14px;
}
.color-text{
   	float: left;
	position: relative;
	border: 1px solid #DFDFDF;
    border-radius: 4px 4px 4px 4px;
    width: 78px;
	height: 18px;
	margin: 0 2px 5px 2px;
    padding: 4px 14px;
	text-align: center;
}

.block-title{
	float: left;
	position: relative;
    border: 1px solid #DFDFDF;
    border-radius: 4px 4px 4px 4px;
    width: 78px;
	height: 20px;
	margin: 0 2px 5px 2px;
    padding: 4px 14px;
	font-weight: bold;
	text-align: center;
}
/* Start Theme Color Blocks for Options */

/* Start Admin Section Styles */
.clearfix{
	clear:both;
}
div.inside small{
	display:block;
	float:right;
	width:200px;
	color:#999;
}
div.inside input[type="text"], div.inside select{
	width:520px;
	font-size:12px;
	padding:4px;
	color:#333;
	line-height:1em;
	background:#f3f3f3;
}
div.inside input:focus, div.inside textarea:focus{
		background:#fff;
}
div.inside textarea{
	width:520px;
	height:200px;
	font-size:12px;
	padding:4px;
	color:#333;
	line-height:1.5em;
	background:#f3f3f3;
	margin-bottom: 20px;
}
div.inside label{
	font-size:12px;
	font-weight:700;
	width:200px;
	display:block;
	float:left;	
	padding: 7px 0;
}
.postbox h3 {
    color: #464646;
}
.postbox h3:hover {
    color: #000000;
}
.postbox h3 {
    font-family: Georgia,"Times New Roman","Bitstream Charter",Times,serif;
    font-size: 15px;
    font-weight: normal;
    line-height: 1;
    margin: 0;
    padding: 7px 10px;
}
.color-button {
    -moz-box-sizing: content-box;
    border-radius: 11px 11px 11px 11px !important;
    border-style: solid !important;
    border-width: 1px !important;
    cursor: pointer;
    font-size: 12px !important;
    line-height: 13px;
    padding: 3px 8px;
    text-decoration: none;
}
.color-button {
    border-color: #BBBBBB;
    color: #464646;
}
.color-button:hover {
    border-color: #666666;
    color: #000000;
}
.color-button {
    background: url("white-grad.png") repeat-x scroll left top #F2F2F2;
    text-shadow: 0 1px 0 #FFFFFF;
}
.color-button:active {
    background: url("white-grad-active.png") repeat-x scroll left top #EEEEEE;
}
.color-button-disabled, .color-button[disabled], .color-button:disabled, a.color-button.disabled {
    border-color: #DDDDDD !important;
    color: #AAAAAA !important;
}
/* End Admin Section Styles */
</style>
<div class="wrap">
<?php screen_icon(); ?>
<br />
<div class='postbox-container' style='width:750px;'>
<div class="postbox" >
<div class="handlediv" title="Click to toggle"><br /></div><h2 class='hndle'><span>&nbsp;&nbsp;Stallion Responsive Font Scheme CSS File Creator</span></h2>
<div class="inside">
<p>Please note this is a web developer feature, it should NOT be used on a live production site for extended periods of time, it's very resource intensive: the code for this feature is thousands of lines and adds the entire font css file (around 100+ lines of CSS rules) inline for testing. After creating a new font scheme CSS file (and Hard Copy), turn it off and use your new font scheme.</p>
<p>If you aren't already using the <a href="http://stallion-theme.co.uk/stallion-responsive-child-theme/" target="_blank">Free Stallion Responsive Child Theme</a> I strongly suggest installing and activating it BEFORE using this feature. Upon clicking a "Save Changes" button below two files are automatically created. If you only run the main Stallion Responsive Theme (no child theme) the two files overwrite the original files under "/wp-content/themes/stallion-responsive/colors/" and "/wp-content/themes/stallion-responsive/mydefaults/font/". If you make a mess of a font scheme you won't have the original files to work from.</p>
<p>When the Child Theme is active the files are saved to "/wp-content/themes/stallion-responsive-child/colors/" and "/wp-content/themes/stallion-responsive-child/mydefaults/font/". If you make a mess you can delete those files via FTP and start again.</p>
<p><strong>Feature Summary:</strong> Create a unique font scheme using the settings below, either save as the same name as a built in colour scheme or use the two filenames font-custom-01.css and stallion_font_css_custom-01.php (see the options below), disable this feature under "Stallion Theme > Colour Options : Font Scheme CSS File Creator", use your new custom font under "Stallion Theme > Colour Options" or "Stallion Theme > Child Options".</p>
<p>For more detail instructions scroll to the very bottom of this page.</p>
<?php settings_errors(); ?>
</div>
</div>
</div>
<form method="post" action="options.php">
<?php
settings_fields( 'str_fonts' );
$settings = str_get_theme_fonts();
 global $font_options;
$font_scheme = 'dark';
$style = "";
?>

<div class='postbox-container' style='width:750px;'>
<?php 
$font_options = st_font_options();
foreach ($font_options as $value) {
$default="";
switch ( $value['type'] ) {

case "section":
?>

<div class="postbox<?php echo $style; ?>">
<div class="handlediv" title="Click to toggle">
<br>
</div>
<h3 class="hndle"><span><?php echo $value['name']; ?></span></h3>
<h3 class="hndle"><span><?php echo $value['desc']; ?></span></h3>
<div class="inside">

<?php break; ?>
<?php $style=""; ?>
<?php case "color": ?>
<?php $id=$value['id']; ?>
<?php $swatch='swatch-' .$value['index']; ?>
<?php $picker='colorPickerDiv-' .$value['index']; ?>
<?php $font_default=( 'dark' == $font_scheme )? $value['dark'] : $value['light']; ?>
<?php $theme_font = ( $settings[$id] ) ? $settings[$id] : $font_default; ?>
<fieldset>
<label for="str_theme_fonts_child[<?php echo $id;?>]"><?php echo $value['name'];?></label>
<input type="text" name="str_theme_fonts_child[<?php echo $id;?>]" id="<?php echo $id;?>" style="width:80px;" maxlength="7" value="<?php echo $theme_font; ?>" />
<a href="#" class="pickcolor color-swatch" style="background: <?php echo $theme_font; ?>;" name="<?php echo $value['index']; ?>" id="<?php echo $swatch;?>"></a>
<input type="button" class="pickcolor color-button hide-if-no-js" style="margin-right:20px;" name="<?php echo $value['index']; ?>" value="<?php esc_attr_e( 'Select a Colour', 'stallion' ); ?>" />
<input type="button" class="defaultcolor color-button" name="<?php echo $value['index']; ?>" title="<?php echo $font_default; ?>" value="<?php esc_attr_e( 'Reset to', 'stallion' ); ?>" />
<a href="#" class="defaultcolor color-swatch" name="<?php echo $value['index']; ?>" title="<?php echo $font_default; ?>" style="background: <?php echo $font_default; ?>;"></a>
<div id="<?php echo $picker;?>" style="z-index: 100; background:#eee; border:1px solid #ccc; position:absolute; display:none;"></div>
</fieldset>
<?php break; ?>
<?php case "textarea": ?>
<?php $id=$value['id']; ?>
<fieldset>
<label for="str_theme_fonts_child[<?php echo $id;?>]"><?php echo $value['name'];?></label>
<textarea name="str_theme_fonts_child[<?php echo $value["id"]; ?>]" cols="1" rows="1" ><?php if ( isset( $settings[$id] ) && $settings[$id] ) { echo $settings[$id] ; } else { echo $value['default']; } ?></textarea><?php echo $value['desc'];?><br /><br />
<div class="clearfix"></div>
</fieldset>
<?php break; ?>
<?php case "text": ?>
<?php $id=$value['id']; ?>
<fieldset>
<label for="str_theme_fonts_child[<?php echo $id;?>]"><?php echo $value['name'];?></label>
<input type="text" name="str_theme_fonts_child[<?php echo $value["id"]; ?>]" id="str_theme_fonts_child[<?php echo $value["id"]; ?>]" value="<?php if ( isset( $settings[$id] ) && $settings[$id] ) { echo $settings[$id] ; } else { echo $value['default']; } ?>" style="width:500px;" />
<br /><?php echo $value['desc'];?><br /><br />
<div class="clearfix"></div>
</fieldset>
<?php break; ?>
<?php case "blank": break; ?>
<?php case "infobox": ?>
<span><?php echo $value['desc']; ?></span>
<div class="clearfix"></div>
<?php break; ?>
<?php case "close": ?>
<?php submit_button(); ?>
</div>
</div>
<?php break; } } ?>
<div class="postbox<?php echo $style; ?>" >
<div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span>CSS Backup Rules For Hard Copy</span></h3>
<div class="inside">
<p>Below is an advanced web developer option for saving a hard copy of your font selections for future editing or if they are awesome sending to me for adding to a future release of Stallion Responsive :-). Since v8.2 the backup PHP file saving is automatic upon clicking the "Save Changes" buttons, the file is saved to "/wp-content/themes/stallion-responsive-child/mydefaults/font/" (if the child theme is active) or "/wp-content/themes/stallion-responsive/mydefaults/font/" (if only parent theme is active). I've left the copy info below in case your server permissions (755 should work) aren't set to save in the folders above. So you can still create the file manually by copying the code below etc...</p>
<p>Note: if you are running Stallion without the child theme be aware clicking Save will overwrite the original font CSS file and it's backup PHP file if you are editing a built in font scheme. I strongly suggest installing the free child theme, when the child theme is active the CSS file and PHP file is saved to the child theme folder, so if you mess up you will still have the original files.</p>
<p>Creating a hard copy backup is optional, but highly recommended, without the backup you can only work with one font selection set (the options you set above) per site and if you change the settings to create a new font CSS file you won't have an easy way to edit your previously generated CSS files and would have to manually add the font selections again!</p>
<p>Under the main "Stallion Colour Options" you will find a dropdown setting "Fonts Scheme CSS File Creator Defaults" which loads a backup of the built in Stallion Responsive font schemes for use on this page.</p>
<p>There are 5 Custom slots (20 with the <a href="http://stallion-theme.co.uk/stallion-responsive-child-theme/" target="_blank">Free Stallion Responsive Child Theme</a>) for adding your own backups by copying the code generated below into files "stallion_font_css_custom-**.php" (these file do not exist, create them: since v8.2 that can be automated, just add stallion_font_css_custom-**.php to the "Font Filename Backup" form above) within the Stallion Responsive theme folder under "/wp-content/themes/stallion-responsive/mydefaults/font/" or the child theme folder "/wp-content/themes/stallion-responsive-child/mydefaults/font/".</p>
<p>It's really easy to create a backup for future use. Create your new font selections above and click "Save Changes" (don't forget to make a font CSS file as described earlier so you can use the new fonts on a live site). You will find the new font codes are loaded below, copy everything that's <strong style="color:#0000FF;">BLUE</strong> from and including <strong style="color:#0000FF;">&lt;?php /* Copy Start */ ?&gt; to ....... &lt;?php /* Copy End */ ?&gt;</strong> and paste it into one of the "stallion_font_css_custom-**.php" files (start with "stallion_font_css_custom-01.php"). Save the file and upload to "/wp-content/themes/stallion-responsive/mydefaults/font/" (can also upload to the same folder in a child theme: adding to a child theme will mean Stallion Responsive updates won't delete your custom files).</p>
<p>The relevant dropdown "Custom **" selection will load those fonts on this page for further editing and creation of font CSS files. Note: if you load a backup and make changes that you want in the backup file copy the new code below over the old code within the relevant "stallion_font_css_custom-**.php" file or if it's a new font scheme use one of the unused Custom files.</p>
<div style="color:#0000FF; padding-left: 20px;">
<?php
$options1 = get_option('str_theme_fonts_child');
echo '&lt;?php /* Copy Start */ ?&gt;'."<br />";
echo '&lt;?php /* Stallion Responsive Font Backup */ ?&gt;'."<br />";
echo '&lt;?php $user = themeID(); if ($user != null) : ?&gt;'."<br />";
echo '&lt;?php function st_css_stallion_defaults_font() {'."<br />";
echo '$st_css_fonts1 = get_option(\'str_theme_fonts_child\');'."<br />";
echo '## Fonts ##'."<br />";
echo '$st_css_fonts1[\'color-655\'] = "'. $options1['color-655'].'"; # Main Font'."<br />";
echo '$st_css_fonts1[\'color-670\'] = "'. $options1['color-670'].'"; # Head Home Link Anchor Text'."<br />";
echo '$st_css_fonts1[\'color-675\'] = "'. $options1['color-675'].'"; # Head Tagline Text'."<br />";
echo '$st_css_fonts1[\'color-680\'] = "'. $options1['color-680'].'"; # Navigation Menu'."<br />";
echo '$st_css_fonts1[\'color-685\'] = "'. $options1['color-685'].'"; # Main Content Large Heading Text'."<br />";
echo '$st_css_fonts1[\'color-690\'] = "'. $options1['color-690'].'"; # Main Content H* Post Links Anchor Text'."<br />";
echo '$st_css_fonts1[\'color-695\'] = "'. $options1['color-695'].'"; # Main Content Date Area'."<br />";
echo '$st_css_fonts1[\'color-700\'] = "'. $options1['color-700'].'"; # Main Content'."<br />";
echo '$st_css_fonts1[\'color-702\'] = "'. $options1['color-702'].'"; # Main Content H1 and Comment H1'."<br />";
echo '$st_css_fonts1[\'color-703\'] = "'. $options1['color-703'].'"; # Main Content H2 and Comment H2'."<br />";
echo '$st_css_fonts1[\'color-704\'] = "'. $options1['color-704'].'"; # Main Content H3 and Comment H3'."<br />";
echo '$st_css_fonts1[\'color-705\'] = "'. $options1['color-705'].'"; # Main Content H4 and Comment H4'."<br />";
echo '$st_css_fonts1[\'color-706\'] = "'. $options1['color-706'].'"; # Main Content H5 and Comment H5'."<br />";
echo '$st_css_fonts1[\'color-707\'] = "'. $options1['color-707'].'"; # Main Content H6 and Comment H6'."<br />";
echo '$st_css_fonts1[\'color-710\'] = "'. $options1['color-710'].'"; # Main Content Blockquote'."<br />";
echo '$st_css_fonts1[\'color-715\'] = "'. $options1['color-715'].'"; # Main Content Blockquote Cite'."<br />";
echo '$st_css_fonts1[\'color-720\'] = "'. $options1['color-720'].'"; # Main Content Code'."<br />";
echo '$st_css_fonts1[\'color-725\'] = "'. $options1['color-725'].'"; # Main Content Pre'."<br />";
echo '$st_css_fonts1[\'color-730\'] = "'. $options1['color-730'].'"; # Main Comment Button Links Anchor Text'."<br />";
echo '$st_css_fonts1[\'color-735\'] = "'. $options1['color-735'].'"; # Author Biography Box'."<br />";
echo '$st_css_fonts1[\'color-740\'] = "'. $options1['color-740'].'"; # Comment Main Headings Text'."<br />";
echo '$st_css_fonts1[\'color-745\'] = "'. $options1['color-745'].'"; # Comment Form'."<br />";
echo '$st_css_fonts1[\'color-750\'] = "'. $options1['color-750'].'"; # Comments'."<br />";
echo '$st_css_fonts1[\'color-780\'] = "'. $options1['color-780'].'"; # Comment Title Text (Comments with Titles)'."<br />";
echo '$st_css_fonts1[\'color-790\'] = "'. $options1['color-790'].'"; # Comment Blockquote'."<br />";
echo '$st_css_fonts1[\'color-795\'] = "'. $options1['color-795'].'"; # Comment Blockquote Cite'."<br />";
echo '$st_css_fonts1[\'color-800\'] = "'. $options1['color-800'].'"; # Comment Code'."<br />";
echo '$st_css_fonts1[\'color-805\'] = "'. $options1['color-805'].'"; # Comment Pre'."<br />";
echo '$st_css_fonts1[\'color-810\'] = "'. $options1['color-810'].'"; # Widgets'."<br />";
echo '$st_css_fonts1[\'color-815\'] = "'. $options1['color-815'].'"; # Widget Heading'."<br />";
echo '$st_css_fonts1[\'color-818\'] = "'. $options1['color-818'].'"; # Tagcloud Widget Links'."<br />";
echo '$st_css_fonts1[\'color-820\'] = "'. $options1['color-820'].'"; # Gallery HoverOver Caption'."<br />";
echo '$st_css_fonts1[\'color-825\'] = "'. $options1['color-825'].'"; # Image Caption'."<br />";
echo '$st_css_fonts1[\'color-830\'] = "'. $options1['color-830'].'"; # Footer Area'."<br />";
echo '$st_css_fonts1[\'color-835\'] = "'. $options1['color-835'].'"; # Featured Slider'."<br />";
echo '## Rounded Border Corners ##'."<br />";
echo '$st_css_fonts1[\'color-880\'] = "'. $options1['color-880'].'"; # Main Borders'."<br />";
echo '$st_css_fonts1[\'color-890\'] = "'. $options1['color-890'].'"; # Within Content Borders'."<br />";
echo '$st_css_fonts1[\'color-900\'] = "'. $options1['color-900'].'"; # Form Input Borders'."<br />";
echo '$st_css_fonts1[\'color-910\'] = "'. $options1['color-910'].'"; # Main Image Borders'."<br />";
echo '$st_css_fonts1[\'color-920\'] = "'. $options1['color-920'].'"; # Widget Image Borders'."<br />";
echo '$st_css_fonts1[\'color-930\'] = "'. $options1['color-930'].'"; # PhotoNavMenu and Featured Slider Images'."<br />";
echo '## Leave Blank ##'."<br />";
echo '$st_css_fonts1[\'css-1\'] = \'\'; # Leave Blank'."<br />";
echo '$st_css_fonts1[\'css-2\'] = \'\'; # Leave Blank'."<br />";
echo '## Font Details ##'."<br />";
echo '$st_css_fonts1[\'theme-name-1\'] = \''. $options1['theme-name-1'].'\'; # Font Name'."<br />";
#echo '$st_css_fonts1[\'theme-name-2\'] = \''. $options1['theme-name-2'].'\'; # Theme URI'."<br />";
#echo '$st_css_fonts1[\'theme-name-3\'] = \''. $options1['theme-name-3'].'\'; # Theme Author'."<br />";
#echo '$st_css_fonts1[\'images-loc\'] = \''. $options1['images-loc'].'\'; # Theme Image Folder'."<br />";
echo '$st_css_fonts1[\'theme-filename-css\'] = \''. $options1['theme-filename-css'].'\'; # Font Filename CSS'."<br />";
echo '$st_css_fonts1[\'theme-filename-php\'] = \''. $options1['theme-filename-php'].'\'; # Font Filename PHP Backup'."<br />";
echo 'update_option(\'str_theme_fonts_child\', $st_css_fonts1);'."<br />";
echo '}'."<br />";
echo '?&gt;'."<br />";
echo '&lt;?php {st_css_stallion_defaults_font();} ?&gt;'."<br />";
echo '&lt;?php function st_my_stallion_defaults_fonts() {'."<br />";
echo '$themeshort = get_option(\'template\');'."<br />";
echo '########## Reset Font Settings ##########'."<br />";
echo '$st_options7 = get_option(\'theme-\'.$themeshort.\'-colours\');'."<br />";
echo '$st_options7[\'st_theme_fonts_csss_child\'] = \'0\';'."<br />";
echo 'update_option(\'theme-\'.$themeshort.\'-colours\', $st_options7);'."<br />";
echo '}'."<br />";
echo '?&gt;'."<br />";
echo '&lt;?php {st_my_stallion_defaults_fonts();} ?&gt;'."<br />";
echo '&lt;?php function stchild_my_stallion_defaults_font() {'."<br />";
echo '########## Reset Child Settings ##########'."<br />";
echo '$st_options8 = get_option(\'theme-\' . st_child_directory() . \'-child\');'."<br />";
echo '$st_options8[\'stchild_theme_font_csss_child\'] = \'stdefaults\';'."<br />";
echo 'update_option(\'theme-\' . st_child_directory() . \'-child\', $st_options8);'."<br />";
echo '}'."<br />";
echo '?&gt;'."<br />";
echo '&lt;?php {stchild_my_stallion_defaults_font();} ?&gt;&lt;?php endif; ?&gt;'."<br />";
echo '&lt;?php /* Copy End */ ?&gt;'."<br />";
?></div>
</div>
</div>

<div class="postbox<?php echo $style; ?>" >
<div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span>How to Make a Stallion Responsive Child Theme Font Scheme</span></h3>
<div class="inside">
<p>Creating a new Stallion Responsive Font Scheme has been made very easy with this new feature (you don't have to understand CSS or PHP), go to "Stallion Theme > Colour Options" page and set "Stallion Theme Font Scheme" to "Empty". This loads an empty Font CSS file (basically an empty file) and will 'break' this sites fonts (the layout will still work, but all theme fonts and the mobile menu image will be missing and Stallion will use the fonts set below). It's important to set the Font scheme to Empty so the only fonts loaded are those you set below (easy to see when something looks rubbish :-)). You might have to disable any caching plugins during the editing as you don't want to keep loading an old cache.</p>
<p>Spend many, many, many hours (not exaggerating, takes a long time) clicking and testing various font settings below until you have the fonts you desire. Depending on your site you may find many of the settings don't appear to do anything (if your site has no posts with Galleries there's no way to test the Gallery relevant CSS). If you want to be able to test everything take a look at <a href="http://codex.wordpress.org/Theme_Unit_Test" target="_blank">Theme Unit Tests</a> and <a href="http://wordpress-test.xllx-inc.com/multiple-markup-tests/" target="_blank">Test Site 1</a> and <a href="http://wordpress-test2.xllx-inc.com/multiple-markup-tests/" target="_blank">Test Site 2</a>. Test Site 1 and 2 shows many of the WordPress Markup Tests on one page (I copied the content from multiple tests to a single post). Both test sites were used by myself and my wife to create the current built in colour/font schemes.</p>
<p>Every setting is important, if you don't change a setting the defaults will be used. The defaults are basic. Easiest way to make a new font scheme is choose a current built in font scheme that's closest to what you want, load it's backup data and edit it.</p>
<h4>Adding to a Font CSS file</h4>
<p>There's a few ways to add your generated CSS code to Stallion Responsive, which way you use depends on what you plan to do with the new font scheme. If all you plan to do is use it on your sites and have no interest is allowing others access etc... simplest way to use the code generated below is add it to a file called <strong>font-custom-01.css</strong> and add it to either the folder "/wp-content/themes/stallion-responsive/colors/" (that's the main Stallion Responsive Theme folder) or to "/wp-content/themes/stallion-responsive-child/colors/" (Stallion Responsive Child Theme folder) and select it as the Stallion Font scheme under Stallion Theme > Colour Options : Stallion Theme Font Scheme - Custom 01</p>
<p>You can add up to 5 custom font schemes (20 if you use the Responsive Child Theme) this way using files font-custom-01.css, font-custom-02.css, font-custom-03.css... font-custom-20.css</p>
<p>See later about making a backup of your settings below for future editing.</p>
<p>If you want to give others access to your awesome new font scheme as a Stallion Child Theme, there's two ways to achieve this.</p>
<p>1. Edit the Free Stallion Responsive Child Theme and add your font schemes(s) (it's not as hard as it sounds: details are within the file "/wp-content/themes/stallion-responsive-child/st_responsive_child.php") so you and others not only have access to the current free child theme features (there's a LOT of free header images etc...) they have access to yours as well. Using this option means you can add an almost unlimited number of new font schemes.</p>
<p>2. Create a new Stallion Child Theme using the free empty child theme (the empty child theme will be available soon: it's basically the Free Stallion Responsive Child Theme with no header images etc...). I'd suggest this option if you plan to add your own header images etc... and plan to sell the child theme.</p>
<p>If you've gone with adding your new font scheme to a child theme I suggest choosing a relevant name for the CSS file. For example if you've named your font scheme "Bob Blue" you might call the css file "font-bob-blue.css".</p>
<p>Your "font-bob-blue.css" file would be within the folder "/wp-content/themes/stallion-responsive-child/colors/font-bob-blue.css".</p>
<h4>Mobile Responsive CSS</h4>
<p>Stallion Responsive includes a CSS file "/wp-content/themes/stallion-responsive/colors/mobile.css" which includes CSS rules for mobile devices, there are no font options within this file, it's layout based CSS so has no impact on generating a new font CSS file. However you will find during the testing process some of the mobile CSS won't work correctly. This is because the CSS rules that are loaded inline during the testing phase are loaded after the mobile.css file and CSS rules are acted on as they are read and the mobile rules should be run last. If you are an OCD tester (everything has to be perfect) there's a solution, copy the entire contents of the mobile.css file into the Custom CSS box below and they will be loaded last after your new font CSS rules, but it's not needed to test your new font selections before adding them to a CSS file for live use.</p>
</div>
</div>

<div style="float: left; position: relative; line-height: 20px; font-size:12px; color: #777777; margin-bottom:10px;">Stallion Font Styles Options page based on options page created by <a href="http://digitalraindrops.net/">Digital Raindrops</a></div>
</div>
</form> 
</div>
<?php
}

function str_theme_fonts_validate( $input ) {
 global $font_options;
$font_scheme = 'dark';
$font_options = st_font_options();
foreach($font_options as $the_option) {
$option_type = $the_option["type"];
$font_default="";
switch ($option_type) {

case 'color':
$id = $the_option['id'];
if( !isset( $input[$id] ) ) $input[$id] = $the_option['default'];
$input[$id] = str_valid_font( $input[$id] );
if (!$input[$id]) {
$font_default=( 'dark' == $font_scheme )? $the_option['dark'] : $the_option['light'];
$input[$id] = $font_default;
}
break;

case 'textarea':
$id = $the_option['id'];
if( !isset( $input[$id] ) ) $input[$id] = $the_option['default'];
$input[$id] = trim( wp_filter_post_kses( $input[$id] ) );
break;

case 'text':
$id = $the_option['id'];
if( !isset( $input[$id] ) ) $input[$id] = $the_option['default'];
break;

}
}
$input = str_theme_font_styles( $input );
return $input;
}

function str_valid_font($hex){
if (substr($hex, 0 , 1) == '#') $hex = substr($hex, 1);
if(strlen($hex) != 6 && strlen($hex) != 3 && isset($hex) || !preg_match("/^[A-F0-9]+$/i",$hex) && isset($hex)) {
return "";
}else {
return '#' .$hex;
}
}
function str_default_font( $which, $hex ) {
 global $font_options;
$font_scheme = 'dark';
$font_options = st_font_options();
$value=$font_options[$which];
		$value['dark'] = '';
$font_default=( 'dark' == $font_scheme )?  $value['dark'] : $value['light'];
return ( $font_default == $hex );
}

get_template_part( 'plugins/colors_css/font_css_output_creator' );

function str_get_theme_fonts() {
return get_option('str_theme_fonts_child');
}
function str_print_font_style() {
$settings = str_get_theme_fonts();
if(!$settings['css-2']) return;
?>
<style>
<?php echo $settings['css-2']; ?>
</style>
<?php
}
add_action( 'wp_head', 'str_print_font_style', 7 );
?>