<?php
add_action( 'widgets_init', 'stallion_st_caticon_widget' );
function stallion_st_caticon_widget() {
register_widget( "stallion_caticon_widget" );
}
class stallion_caticon_widget extends WP_Widget {

function stallion_caticon_widget() {

$widget_ops = array('classname' => 'stallion_caticon_widget ', 'description' => __('Category widget with icons' , 'stallion'));
$this->WP_Widget('stallion_caticon_widget', __('Stallion Categories with Icons' , 'stallion') , $widget_ops);
}

function widget( $args , $instance ) {
if(isset( $instance['title'])){
$title = $instance['title'];
}else{
$title = '';
}

extract( $args , EXTR_SKIP );
echo $before_widget;
if(!empty($title)){
echo $before_title . $title . $after_title;
}

$categories = get_terms('category');
?>

<ul class="st_cat_icon">
<?php
foreach( $categories as $category ){
if( isset( $instance[ 'st_caticon_' . $category -> term_id ] ) ){
$icon[ 'st_caticon_' .  $category -> term_id ] = $instance[ 'st_caticon_' .  $category -> term_id ];
}else{
$icon[ 'st_caticon_' .  $category -> term_id ] = 'folder.png';
}
?>
<li class="st_caticon"><a href="<?php echo get_category_link( $category ); ?><?php if(st_seo_plus()=='1'){ ?>#category<?php } ?>" title="<?php printf( __( 'View all posts filed under %s' , 'stallion' ) , $category -> name ); ?>"><?php if( !empty( $icon[ 'st_caticon_' .  $category -> term_id ]  ) ){ ?><img src="<?php if (file_exists(STYLESHEETPATH . '/plugins/category/folder.png')){ echo get_stylesheet_directory_uri(); } else { echo get_template_directory_uri(); } ?>/plugins/category/<?php echo $icon[ 'st_caticon_' .  $category -> term_id ]; ?>" alt="<?php if (is_home() || is_tag() || is_front_page() || is_404()) : ?>
<?php if (get_tax_meta($category -> term_id,'st_tax_keyphrase_1', true)): ?>
<?php $stalliontaxmeta = get_tax_meta($category -> term_id,'st_tax_keyphrase_1'); echo $stalliontaxmeta; ?>
<?php else : ?><?php echo $category -> name ?><?php endif; ?>
<?php elseif (is_single() &! is_front_page()) : ?>
<?php if (get_tax_meta($category -> term_id,'st_tax_keyphrase_2', true)): ?>
<?php $stalliontaxmeta = get_tax_meta($category -> term_id,'st_tax_keyphrase_2'); echo $stalliontaxmeta; ?>
<?php else : ?><?php echo $category -> name ?><?php endif; ?>
<?php elseif (is_page() &! is_front_page()) : ?>
<?php if (get_tax_meta($category -> term_id,'st_tax_keyphrase_3', true)): ?>
<?php $stalliontaxmeta = get_tax_meta($category -> term_id,'st_tax_keyphrase_3'); echo $stalliontaxmeta; ?>
<?php else : ?><?php echo $category -> name ?><?php endif; ?>
<?php elseif (is_category()) : ?>
<?php if (get_tax_meta($category -> term_id,'st_tax_keyphrase_4', true)): ?>
<?php $stalliontaxmeta = get_tax_meta($category -> term_id,'st_tax_keyphrase_4'); echo $stalliontaxmeta; ?>
<?php else : ?><?php echo $category -> name ?><?php endif; ?>
<?php elseif (is_search() || is_year() || is_month() || is_day() || is_author()) : ?>
<?php echo $category -> name ?>
<?php else : ?><?php echo $category -> name ?><?php endif; ?>" /><?php } ?> <?php if (is_home() || is_tag() || is_front_page() || is_404()) : ?>
<?php echo $category -> name ?>
<?php elseif (is_single() &! is_front_page()) : ?>
<?php if (get_tax_meta($category -> term_id,'st_tax_keyphrase_1', true)): ?>
<?php $stalliontaxmeta = get_tax_meta($category -> term_id,'st_tax_keyphrase_1'); echo $stalliontaxmeta; ?>
<?php else : ?><?php echo $category -> name ?><?php endif; ?>
<?php elseif (is_page() &! is_front_page()) : ?>
<?php if (get_tax_meta($category -> term_id,'st_tax_keyphrase_2', true)): ?>
<?php $stalliontaxmeta = get_tax_meta($category -> term_id,'st_tax_keyphrase_2'); echo $stalliontaxmeta; ?>
<?php else : ?><?php echo $category -> name ?><?php endif; ?>
<?php elseif (is_category()) : ?><?php if (get_tax_meta($category -> term_id,'st_tax_keyphrase_3', true)): ?>
<?php $stalliontaxmeta = get_tax_meta($category -> term_id,'st_tax_keyphrase_3'); echo $stalliontaxmeta; ?>
<?php else : ?><?php echo $category -> name ?><?php endif; ?>
<?php elseif (is_search() || is_year() || is_month() || is_day() || is_author()) : ?>
<?php if (get_tax_meta($category -> term_id,'st_tax_keyphrase_4', true)): ?>
<?php $stalliontaxmeta = get_tax_meta($category -> term_id,'st_tax_keyphrase_4'); echo $stalliontaxmeta; ?>
<?php else : ?><?php echo $category -> name ?><?php endif; ?>
<?php else : ?><?php echo $category -> name ?><?php endif; ?></a></li>
<?php } ?></ul>

<?php echo $after_widget;
}

function update($new_instance, $old_instance) {
$instance = $old_instance;
$instance['title'] = strip_tags( $new_instance['title'] );
$categories = get_terms( 'category' );

foreach( $categories as $category ){
$instance[ 'st_caticon_' . $category -> term_id ] = strip_tags( $new_instance[ 'st_caticon_' . $category -> term_id ] );
}

return $instance;
}

function form($instance) {
if( isset( $instance[ 'title' ] ) ){
$title = $instance[ 'title' ];
}else{
$title = '';
}

?>
<p>
<label for="<?php echo $this -> get_field_id( 'title' ); ?>"><?php _e( 'Title' , 'stallion' ) ?>
<input class="widefat" type="text" id="<?php echo $this -> get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $title; ?>">
</label>
</p>
<?php

$categories = get_terms( 'category' );
$icon = array();

foreach( $categories as $category ){
if( isset( $instance[ 'st_caticon_' . $category -> term_id ] ) ){
$icon[ 'st_caticon_' .  $category -> term_id ] = $instance[ 'st_caticon_' .  $category -> term_id ];
}else{
$icon[ 'st_caticon_' .  $category -> term_id ] = 'folder.png';
}
?>

<p>
<label for="<?php echo $this->get_field_id( 'st_caticon_' .  $category -> term_id ); ?>"><?php echo $category -> name; ?>
<select class="widefat" id="<?php echo $this->get_field_id( 'st_caticon_' .  $category -> term_id ); ?>" name="<?php echo $this->get_field_name( 'st_caticon_' .  $category -> term_id ); ?>" >
<?php
$sticons = self::st_scanicons();
if( !empty( $sticons ) ){
foreach( $sticons  as $sticons ){
$file = pathinfo( $sticons );
if( $icon[ 'st_caticon_' .  $category -> term_id ] == $sticons ){
?><option value="<?php echo $sticons; ?>" selected="selected"><?php echo $file['filename']; ?></option><?php
}else{
?><option value="<?php echo $sticons; ?>"><?php echo $file['filename']; ?></option><?php
}
}
}
?>
</select>
</label>
</p>
<?php
}
}

function st_scanicons(){
$result = array();
if (file_exists(STYLESHEETPATH . '/plugins/category/folder.png')){
$icons = scandir(get_stylesheet_directory() . '/plugins/category/' );
} else {
$icons = scandir(get_template_directory() . '/plugins/category/' );
}

foreach( $icons as $icon ){
if( $icon != '..' && $icon != '.' && $icon != 'index.php' ){
$result[]  = $icon;
}
}

return $result;
}
}
?>