<?php
/**
 * Default Post Format on index and archive pages
 *
 * @package WordPress
 * @subpackage Stallion Responsive
 * @since Stallion 6.1
 */
?>
<?php if ($wp_query->current_post < 3) : ?>
<h2 class="stpostlink"><a href="<?php the_permalink(); ?><?php if (st_seo_plus() == '1') { ?>#maincontent<?php } ?>"><?php the_title(); ?></a></h2>
<?php elseif ($wp_query->current_post < 7) : ?>
<h3 class="stpostlink"><a href="<?php the_permalink(); ?><?php if (st_seo_plus() == '1') { ?>#maincontent<?php } ?>"><?php the_title(); ?></a></h3>
<?php else : ?>
<h4 class="stpostlink"><a href="<?php the_permalink(); ?><?php if (st_seo_plus() == '1') { ?>#maincontent<?php } ?>"><?php the_title(); ?></a></h4>
<?php endif; ?>
<?php if (st_meta_date_area_ors() == '1') { ?><?php get_template_part( 'layout/meta_date_area' ); ?><?php } ?>
<div class="post-content">
<?php if (is_active_sidebar('content-widget-area')) : ?><?php if ($wp_query->current_post == '0') { ?>
<div id="content_widget" class="sidebar-box <?php echo st_content_widget_align(); ?>">
<?php dynamic_sidebar('content-widget-area'); ?>
</div><?php } ?><?php endif; ?>
<?php get_template_part( 'layout/thumbnails' ); ?>
<?php get_template_part( 'ad_includes/adsense_con1a' ); ?>
<?php get_template_part( 'ad_includes/chitika_con1a' ); ?>
<?php if (class_exists('post_teaser') || st_parchive_excerpt_ors() == '1') : ?><?php the_content(); ?>
<?php elseif (st_parchive_excerpt_ors() == '2') : ?>
<?php else : ?>
<?php the_excerpt(','); ?>
<?php endif; ?>
<?php if (st_post_tags_ors() == '1' || st_post_tags_ors() == '2') { ?><p class="tags"><?php the_tags(); ?></p><?php } ?>
<?php if (comments_open() && st_commentlink_ors() == '1'): ?><div class="postcom"><?php comments_popup_link('' . st_lang_comno() . '', '' . st_lang_comone() . '', '% ' . st_lang_comcoms() . ''); ?></div><?php endif; ?>
<?php if (comments_open() && st_commentlink_ors() == '2'): ?><div class="postcom"><?php comments_number('' . st_lang_comno() . '', '' . st_lang_comone() . '', '% ' . st_lang_comcoms() . ''); ?></div><?php endif; ?>
<?php if (st_continue_reading_ors() == '1') { ?><p class="clear"><?php echo st_lang_continue(); ?> <a class="contread" href="<?php the_permalink() ?><?php if (st_seo_plus() == '1') { ?>#contread<?php } ?>"><?php if ((st_seo_data() == '1' || function_exists('aioseop_mrt_mkarry')) && get_post_meta($post->ID, '_aioseop_title', true)): ?><?php echo get_post_meta($post->ID, '_aioseop_title', true) ?><?php elseif ((st_seo_data() == '2' || function_exists('wpseo_init')) && get_post_meta($post->ID, '_yoast_wpseo_title', true)): ?><?php echo get_post_meta($post->ID, '_yoast_wpseo_title', true) ?><?php else : ?><?php the_title(); ?><?php endif; ?></a></p><?php } ?>
<div class="clear"></div>
</div>
<?php get_template_part( 'ad_includes/adsense_lnk6a' ); ?>
<?php get_template_part( 'ad_includes/chitika_con6a' ); ?>
<?php if (st_meta_date_area_ors() == '2') { ?><?php get_template_part( 'layout/meta_date_area' ); ?><?php } ?>
<div class="divpadding"></div>