<?php
/*
  Template Name: Top 10 Authors by Post Count
 */
## Thanks goes to http://www.paulund.co.uk/display-a-list-of-authors for the idea
?>
<?php
if (function_exists('cat_temp_menus')) {
global $post, $id;
}
$allUsers = get_users('orderby=post_count&order=DESC&number=10');
$users = array();
foreach($allUsers as $currentUser) {
if(!in_array( 'subscriber', $currentUser->roles )) {
$users[] = $currentUser;
}
}
?>
<?php get_header(); ?>

<?php if ((st_feature_slide_ors() == '3' && st_feature_slidepost_ors() == '1') or ((st_feature_slide() == '1' or st_feature_slide() == '2') && st_feature_slidepost_ors() == '1' && is_front_page())) { ?><?php get_template_part( 'layout/featured-slideshow' ); ?><?php } ?>

<?php if (is_active_sidebar('st-below-head2-widget-area') && st_meta_belowhead2() != '0') : ?>
<div class="stfullwidget widget-area">
<div class="sidebar-box">
<?php dynamic_sidebar('st-below-head2-widget-area'); ?>
</div></div>
<?php endif; ?>

<div id="content_all">
<div id="maincontent">

<?php if ((st_feature_slide_ors() == '3' && st_feature_slidepost_ors() == '2') or ((st_feature_slide() == '1' or st_feature_slide() == '2') && st_feature_slidepost_ors() == '2' && is_front_page())) { ?><?php get_template_part( 'layout/featured-slideshow' ); ?><?php } ?>

<?php get_template_part( 'layout/landscape-images' ); ?>

<?php if (is_active_sidebar('banner-widget-area') && st_meta_bannerwidget() != '0') : ?><div id="banner_widget" class="sidebar-box">
<?php dynamic_sidebar('banner-widget-area'); ?>
</div>
<div class="clear"></div><?php endif; ?>

<div id="post-entry">
<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>
<div class="post-meta" id="post-<?php the_ID(); ?>">

<?php if (st_infolinks_on() == '1') { ?><!--INFOLINKS_ON--><?php } ?>
<?php get_template_part( 'layout/link_h1_self' ); ?>

<div class="post-content">
<?php if (st_social_network_ors() == '1') { ?><?php get_template_part( 'plugins/social-network' ); ?><?php } ?>
<?php if (st_kontera_on() == '1') { ?><div class="KonaBody"><?php } ?>

<?php if (is_active_sidebar('content-widget-area') && st_meta_contentwidget() != '0') : ?>
<div id="content_widget" class="sidebar-box <?php echo st_content_widget_align_ors(); ?>">
<?php dynamic_sidebar('content-widget-area'); ?>
</div><?php endif; ?>

<?php get_template_part( 'ad_includes/adsense_con1' ); ?>
<?php get_template_part( 'ad_includes/chitika_con1' ); ?>

<?php global $cpage; if (!empty($cpage) && $cpage >= '1' && st_comment_paged_excerpt() == '1') { ?><?php the_excerpt(); ?>
<p class="clear"><?php echo st_lang_continue(); ?> <a class="contread" href="<?php the_permalink() ?><?php if (st_seo_plus() == '1') { ?>#contread<?php } ?>"><?php if (st_comment_paged_titles() == '1') : ?><?php st_paged_comments_titles(); ?><?php else : ?><?php the_title(); ?><?php endif; ?></a></p>
<?php } else { ?><?php the_content(); } ?>

<?php wp_link_pages(array('before' => '<div class="wp-pagenavi"><span>' . __('Pages:', 'stalliontheme') . '</span>', 'after' => '</div>')); ?>

<?php get_template_part( 'ad_includes/adsense_lnk6' ); ?>

<?php if (st_post_tags_ors() <= '1') { ?><p class="tags"><?php the_tags(); ?></p><?php } ?>

<div class="clear"></div>

<?php foreach($users as $user) { ?>
<div class="clear"></div>
<div class="author-bio">
<div class="fadleft"><?php echo get_avatar( $user->user_email, '100' ); ?></div>
<span class="author_name"><?php if (get_user_meta($user->ID, 'st_pro_authorname', true)) { ?><?php echo get_user_meta($user->ID, 'st_pro_authorname', true); ?><?php } else { ?><?php echo $user->display_name; ?><?php } ?></span> : <?php echo get_user_meta($user->ID, 'description', true); ?>
<p class="align-right"><a href="<?php echo get_author_posts_url( $user->ID ); ?>"><?php if (get_user_meta($user->ID, 'st_pro_authorname', true)) { ?><?php echo get_user_meta($user->ID, 'st_pro_authorname', true); ?><?php } else { ?><?php echo $user->display_name; ?><?php } ?> <?php echo st_lang_autnum(); ?> <?php echo count_user_posts($user->ID); ?> <?php echo st_lang_autpost(); ?></a>
<?php if (get_user_meta($user->ID, 'st_pro_authorwebsiteurl', true) && get_user_meta($user->ID, 'st_pro_authorwebsiteanchor', true)) { ?><br /><?php echo st_lang_autweb(); ?> - <a href="<?php echo get_user_meta($user->ID, 'st_pro_authorwebsiteurl', true); ?>" target="_blank"><?php echo get_user_meta($user->ID, 'st_pro_authorwebsiteanchor', true); ?></a><?php } else { ?><?php if ($user->user_url) { ?><br /><?php echo st_lang_autweb(); ?> - <a href="<?php echo $user->user_url; ?>" target="_blank"><?php echo $user->display_name; ?></a><?php } ?>
<?php } ?></p>
<iframe src="<?php if (file_exists(STYLESHEETPATH . '/social-bio.php')) { bloginfo('stylesheet_directory'); } else { bloginfo('template_url'); } ?><?php echo('/social-bio.php'); ?>?author=<?php echo $user->ID; ?>" width="100%" height="32" marginwidth="0" marginheight="0" frameborder="0" scrolling="no" ></iframe>
<?php $args = array(
'author' => $user->ID,
'posts_per_page' => 1,
);
$query = new WP_Query( $args );
while ( $query->have_posts() ) {
$query->the_post();
?>
<h2 class="stpostlink"><a href="<?php the_permalink(); ?><?php if (st_seo_plus() == '1') { ?>#maincontent<?php } ?>"><?php the_title(); ?></a></h2>

<?php if (st_meta_date_area_ors() == '1') { ?><?php get_template_part( 'layout/meta_date_area' ); ?><?php } ?>

<div class="post-content">
<?php get_template_part( 'layout/thumbnails' ); ?>
<?php if (class_exists('post_teaser') || st_parchive_excerpt_ors() == '1') : ?><?php the_content(); ?>
<?php elseif (st_parchive_excerpt_ors() == '2') : ?>
<?php else : ?>
<?php the_excerpt(','); ?><?php if (st_continue_reading_ors() == '1') { ?><p class="clear"><?php echo st_lang_continue(); ?> <a class="contread" href="<?php the_permalink() ?><?php if (st_seo_plus() == '1') { ?>#contread<?php } ?>"><?php if ((st_seo_data() == '1' || function_exists('aioseop_mrt_mkarry')) && get_post_meta($post->ID, '_aioseop_title', true)): ?><?php echo get_post_meta($post->ID, '_aioseop_title', true) ?><?php elseif ((st_seo_data() == '2' || function_exists('wpseo_init')) && get_post_meta($post->ID, '_yoast_wpseo_title', true)): ?><?php echo get_post_meta($post->ID, '_yoast_wpseo_title', true) ?><?php else : ?><?php the_title(); ?><?php endif; ?></a></p><?php } ?><?php endif; ?>
<?php if (st_post_tags_ors() == '1' || st_post_tags_ors() == '2') { ?><p class="tags"><?php the_tags(); ?></p><?php } ?>

<?php if (comments_open() && st_commentlink_ors() == '1'): ?><div class="postcom"><?php comments_popup_link('' . st_lang_comno() . '', '' . st_lang_comone() . '', '% ' . st_lang_comcoms() . ''); ?></div><?php endif; ?>
<?php if (comments_open() && st_commentlink_ors() == '2'): ?><div class="postcom"><?php comments_number('' . st_lang_comno() . '', '' . st_lang_comone() . '', '% ' . st_lang_comcoms() . ''); ?></div><?php endif; ?>
<div class="clear"></div>
</div>
<?php if (st_meta_date_area_ors() == '2') { ?><?php get_template_part( 'layout/meta_date_area' ); ?><?php } ?>
<div class="divpadding"></div>
<?php } wp_reset_postdata(); ?>
</div>
<div class="clear"></div><br />
<?php } ?>
<?php if (st_kontera_on() == '1') { ?></div><?php } ?>

<?php if (st_infolinks_on() == '1') { ?><!--INFOLINKS_OFF--><?php } ?>

<?php if (st_social_network_ors() == '2') { ?><?php get_template_part( 'plugins/social-network' ); ?>
<div class="clear"></div><?php } ?>

<?php if (is_active_sidebar('bottom-content-widget-area') && st_meta_bottomcontentwidget() != '0') : ?>
<div id="bottom-content-widget" class="sidebar-box">
<?php dynamic_sidebar('bottom-content-widget-area'); ?>
</div>
<div class="clear"></div><?php endif; ?>

</div>

</div>
<?php get_template_part( 'ad_includes/chitika_con6' ); ?>
<?php endwhile; ?>
<?php if (comments_open()): ?>
<?php comments_template('', true); ?>
<?php endif; ?>

<?php get_template_part( 'ad_includes/chitika_con4' ); ?>

<?php if (!is_front_page()) { ?><?php if (function_exists('related_posts')) { ?>
<div class="post-meta"><div class="post-content">
<h3><?php echo st_lang_strelart(); ?> <?php if (get_post_meta($post->ID, '_aioseop_kw_4', true)): ?><?php echo get_post_meta($post->ID, '_aioseop_kw_4', true) ?><?php else : ?><?php the_title(); ?><?php endif; ?></h3>
<?php related_posts(); ?>
</div></div><?php } ?>

<?php if (function_exists('echo_ald_crp')) { ?>
<div class="post-meta"><div class="post-content">
<h3><?php echo st_lang_strelart(); ?> <?php if (get_post_meta($post->ID, '_aioseop_kw_4', true)): ?><?php echo get_post_meta($post->ID, '_aioseop_kw_4', true) ?><?php else : ?><?php the_title(); ?><?php endif; ?></h3>
<?php echo_ald_crp(); ?>
</div></div><?php } ?><?php } ?>

<?php get_template_part( 'ad_includes/chitika_con3' ); ?>
<?php get_template_part( 'ad_includes/adsense_con3' ); ?>
<?php get_template_part( 'ad_includes/adsense_lnk4' ); ?>
<div class="divpadding"></div>

<?php else: ?>

<h1>Sorry The Page Has Been Removed</h1>

<?php endif; ?>

</div>

</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>