<?php function st_seo_paged() {
global $wp_query;
$st_is_paged = $wp_query->query_vars['paged'];
if ($st_is_paged >= '2') :
echo ' ' .st_lang_seperator(). ' ' .st_lang_paged(). ' ' .$st_is_paged;
endif;
} ?>
<?php function st_seotitles() {
if (st_seo_titles() == '0') :
echo ' ' .st_lang_seperator(). ' ';
bloginfo('name');
endif;
} ?>
<?php function st_seo_title_e() {
echo '<title>';

if (is_home() || is_404() || is_front_page()) {
if (st_seo_title_home() != ''):
echo (st_seo_title_home());
else : bloginfo('name');
endif;
st_seo_paged();
}

if (is_year() || is_month() || is_day()) {
bloginfo('name'); wp_title(st_lang_seperator());
st_seo_paged();
}

if (is_author()) {
echo st_lang_autby(). ' '; the_author();
st_seo_paged();
st_seotitles();
}

if (st_archive_paged_titles() == '1' && is_category()) :
st_paged_tax_titles();
st_seo_paged();
st_seotitles();
elseif (is_category()) :
single_cat_title();
st_seo_paged();
st_seotitles();
endif;

if (st_archive_paged_titles() == '1' && is_tag()) :
st_paged_tax_titles();
st_seo_paged();
st_seotitles();
elseif (is_tag()) :
single_tag_title();
st_seo_paged();
st_seotitles();
endif;

if (is_search()) {
the_search_query();
st_seo_paged();
st_seotitles();
}

if (st_comment_paged_titles() == '1' && (is_singular() & !is_front_page())) :
st_paged_comments_titles();
st_seotitles();

elseif (is_singular() & !is_front_page()) :
the_title();
st_seotitles();
endif;

echo '</title>
';
} ?>
<?php function st_seo_title_e_clean() {
#echo '<title>';

if (is_home() || is_404() || is_front_page()) {
if (st_seo_title_home() != ''):
echo (st_seo_title_home());
else : bloginfo('name');
endif;
st_seo_paged();
}

if (is_year() || is_month() || is_day()) {
bloginfo('name'); wp_title(st_lang_seperator());
st_seo_paged();
}

if (is_author()) {
echo st_lang_autby(). ' '; the_author();
st_seo_paged();
st_seotitles();
}

if (st_archive_paged_titles() == '1' && is_category()) :
st_paged_tax_titles();
st_seo_paged();
st_seotitles();
elseif (is_category()) :
single_cat_title();
st_seo_paged();
st_seotitles();
endif;

if (st_archive_paged_titles() == '1' && is_tag()) :
st_paged_tax_titles();
st_seo_paged();
st_seotitles();
elseif (is_tag()) :
single_tag_title();
st_seo_paged();
st_seotitles();
endif;

if (is_search()) {
the_search_query();
st_seo_paged();
st_seotitles();
}

if (st_comment_paged_titles() == '1' && (is_singular() & !is_front_page())) :
st_paged_comments_titles();
st_seotitles();

elseif (is_singular() & !is_front_page()) :
the_title();
st_seotitles();
endif;

#echo '</title>
#';
} ?>
<?php function st_seo_meta_d() {
if (st_seo_plugin_desc() == '1') {
global $post;
$st_seo_descript = null;

if (is_home() || is_front_page()) :
if (st_seo_plugin_hodesc() != ''):
$st_seo_descript = strip_tags(st_seo_plugin_hodesc());
endif;
endif;

if (is_author()) :
$st_seo_descript = strip_tags(get_the_author_meta('description'));
endif;

if (is_singular() &! is_front_page()) :
if (function_exists('aioseop_mrt_mkarry') && get_post_meta($post->ID, '_aioseop_description', true)) :
$st_seo_descript = strip_tags(get_post_meta($post->ID, '_aioseop_description', true));

elseif (function_exists('wpseo_init') && get_post_meta($post->ID, '_yoast_wpseo_metadesc', true)) :
$st_seo_descript = strip_tags(get_post_meta($post->ID, '_yoast_wpseo_metadesc', true));

elseif (st_seo_data() == '1' && get_post_meta($post->ID, '_aioseop_description', true)) :
$st_seo_descript = strip_tags(get_post_meta($post->ID, '_aioseop_description', true));

elseif (st_seo_data() == '2' && get_post_meta($post->ID, '_yoast_wpseo_metadesc', true)) :
$st_seo_descript = strip_tags(get_post_meta($post->ID, '_yoast_wpseo_metadesc', true));
endif;
endif;

if (is_category()) :
$stcategoryid = get_query_var('cat');
if (get_tax_meta($stcategoryid,'st_tax_seo_meta_description', true)):
$st_seo_descript = strip_tags(get_tax_meta($stcategoryid,'st_tax_seo_meta_description', true));
endif;
endif;

if (is_tag()) :
$stcategoryid = get_query_var('tag_id');
if (get_tax_meta($stcategoryid,'st_tax_seo_meta_description', true)):
$st_seo_descript = strip_tags(get_tax_meta($stcategoryid,'st_tax_seo_meta_description', true));
endif;
endif;

if ($st_seo_descript != '') :
echo '<meta name="description" content="' .$st_seo_descript. '" />
';
endif;

}
} ?>
<?php function st_seo_meta_d_clean() {
if (st_seo_plugin_desc() == '1') {
global $post;
$st_seo_descript = null;

if (is_home() || is_front_page()) :
if (st_seo_plugin_hodesc() != ''):
$st_seo_descript = strip_tags(st_seo_plugin_hodesc());
endif;
endif;

if (is_author()) :
$st_seo_descript = strip_tags(get_the_author_meta('description'));
endif;

if (is_singular() &! is_front_page()) :
if (function_exists('aioseop_mrt_mkarry') && get_post_meta($post->ID, '_aioseop_description', true)) :
$st_seo_descript = strip_tags(get_post_meta($post->ID, '_aioseop_description', true));

elseif (function_exists('wpseo_init') && get_post_meta($post->ID, '_yoast_wpseo_metadesc', true)) :
$st_seo_descript = strip_tags(get_post_meta($post->ID, '_yoast_wpseo_metadesc', true));

elseif (st_seo_data() == '1' && get_post_meta($post->ID, '_aioseop_description', true)) :
$st_seo_descript = strip_tags(get_post_meta($post->ID, '_aioseop_description', true));

elseif (st_seo_data() == '2' && get_post_meta($post->ID, '_yoast_wpseo_metadesc', true)) :
$st_seo_descript = strip_tags(get_post_meta($post->ID, '_yoast_wpseo_metadesc', true));
endif;
endif;

if (is_category()) :
$stcategoryid = get_query_var('cat');
if (get_tax_meta($stcategoryid,'st_tax_seo_meta_description', true)):
$st_seo_descript = strip_tags(get_tax_meta($stcategoryid,'st_tax_seo_meta_description', true));
endif;
endif;

if (is_tag()) :
$stcategoryid = get_query_var('tag_id');
if (get_tax_meta($stcategoryid,'st_tax_seo_meta_description', true)):
$st_seo_descript = strip_tags(get_tax_meta($stcategoryid,'st_tax_seo_meta_description', true));
endif;
endif;

if ($st_seo_descript != '') :
echo $st_seo_descript;
endif;
}
} ?>
<?php function st_seo_meta_k() {
if (st_seo_plugin_key() == '1') {
global $post;
$st_seo_keyw = null;

if (is_home() || is_front_page()) :
if (st_seo_plugin_hokey() != ''):
$st_seo_keyw = st_seo_plugin_hokey();
endif;
endif;

if (is_singular() &! is_front_page()) :
if (function_exists('aioseop_mrt_mkarry') && get_post_meta($post->ID, '_aioseop_keywords', true)) :
$st_seo_keyw = get_post_meta($post->ID, '_aioseop_keywords', true);

elseif (function_exists('wpseo_init') && get_post_meta($post->ID, '_yoast_wpseo_metakeywords', true)) :
$st_seo_keyw = get_post_meta($post->ID, '_yoast_wpseo_metakeywords', true);

elseif (st_seo_data() == '1' && get_post_meta($post->ID, '_aioseop_keywords', true)) :
$st_seo_keyw = get_post_meta($post->ID, '_aioseop_keywords', true);

elseif (st_seo_data() == '2' && get_post_meta($post->ID, '_yoast_wpseo_metakeywords', true)) :
$st_seo_keyw = get_post_meta($post->ID, '_yoast_wpseo_metakeywords', true);
endif;
endif;

if (is_category()) :
$stcategoryid = get_query_var('cat');
if (get_tax_meta($stcategoryid,'st_tax_seo_meta_key', true)):
$st_seo_keyw = get_tax_meta($stcategoryid,'st_tax_seo_meta_key', true);
endif;
endif;

if (is_tag()) :
$stcategoryid = get_query_var('tag_id');
if (get_tax_meta($stcategoryid,'st_tax_seo_meta_key', true)):
$st_seo_keyw = get_tax_meta($stcategoryid,'st_tax_seo_meta_key', true);
endif;
endif;

if ($st_seo_keyw != '') :
echo '<meta name="keywords" content="' .$st_seo_keyw. '" />
';
endif;

}
} ?>
<?php function st_paged_comments_titles() {
global $cpage, $post;
if ((!empty($cpage) && ($cpage == '1' || $cpage == '7' || $cpage == '13' || $cpage == '19' || $cpage == '25')) && (get_post_meta($post->ID, '_aioseop_kw_1', true))) :
$st_paged_comment_title = get_post_meta($post->ID, '_aioseop_kw_1', true);

elseif ((!empty($cpage) && ($cpage == '2' || $cpage == '8' || $cpage == '14' || $cpage == '20' || $cpage == '26')) && (get_post_meta($post->ID, '_aioseop_kw_2', true))) :
$st_paged_comment_title = get_post_meta($post->ID, '_aioseop_kw_2', true);

elseif ((!empty($cpage) && ($cpage == '3' || $cpage == '9' || $cpage == '15' || $cpage == '21' || $cpage == '27')) && (get_post_meta($post->ID, '_aioseop_kw_3', true))) :
$st_paged_comment_title = get_post_meta($post->ID, '_aioseop_kw_3', true);

elseif ((!empty($cpage) && ($cpage == '4' || $cpage == '10' || $cpage == '16' || $cpage == '22' || $cpage == '28')) && (get_post_meta($post->ID, '_aioseop_kw_4', true))) :
$st_paged_comment_title = get_post_meta($post->ID, '_aioseop_kw_4', true);

elseif (!empty($cpage) && ($cpage == '5' || $cpage == '11' || $cpage == '17' || $cpage == '23' || $cpage == '29')) :
$st_paged_comment_title = get_the_title();

elseif ((!empty($cpage) && ($cpage == '0' || $cpage == '6' || $cpage == '12' || $cpage == '18' || $cpage == '24' || $cpage == '30')) && (function_exists('aioseop_mrt_mkarry') && get_post_meta($post->ID, '_aioseop_title', true))) :
$st_paged_comment_title = get_post_meta($post->ID, '_aioseop_title', true);

elseif ((!empty($cpage) && ($cpage == '0' || $cpage == '6' || $cpage == '12' || $cpage == '18' || $cpage == '24' || $cpage == '30')) && (function_exists('wpseo_init') && get_post_meta($post->ID, '_yoast_wpseo_title', true))) :
$st_paged_comment_title = get_post_meta($post->ID, '_yoast_wpseo_title', true);

elseif ((!empty($cpage) && ($cpage == '0' || $cpage == '6' || $cpage == '12' || $cpage == '18' || $cpage == '24' || $cpage == '30')) && (st_seo_data() == '1' && get_post_meta($post->ID, '_aioseop_title', true))) :
$st_paged_comment_title = get_post_meta($post->ID, '_aioseop_title', true);

elseif ((!empty($cpage) && ($cpage == '0' || $cpage == '6' || $cpage == '12' || $cpage == '18' || $cpage == '24' || $cpage == '30')) && (st_seo_data() == '2' && get_post_meta($post->ID, '_yoast_wpseo_title', true))) :
$st_paged_comment_title = get_post_meta($post->ID, '_yoast_wpseo_title', true);

elseif (empty($cpage) && (function_exists('aioseop_mrt_mkarry') && get_post_meta($post->ID, '_aioseop_title', true))) :
$st_paged_comment_title = get_post_meta($post->ID, '_aioseop_title', true);

elseif (empty($cpage) && (function_exists('wpseo_init') && get_post_meta($post->ID, '_yoast_wpseo_title', true))) :
$st_paged_comment_title = get_post_meta($post->ID, '_yoast_wpseo_title', true);

elseif (empty($cpage) && (st_seo_data() == '1' && get_post_meta($post->ID, '_aioseop_title', true))) :
$st_paged_comment_title = get_post_meta($post->ID, '_aioseop_title', true);

elseif (empty($cpage) && (st_seo_data() == '2' && get_post_meta($post->ID, '_yoast_wpseo_title', true))) :
$st_paged_comment_title = get_post_meta($post->ID, '_yoast_wpseo_title', true);

else :
$st_paged_comment_title = get_the_title();
endif;

echo $st_paged_comment_title;
#return $st_paged_comment_title;
} ?>
<?php function st_paged_tax_titles() {
global $wp_query;
$is_paged = $wp_query->query_vars['paged'];

if (is_category()) :
$stcategoryid = get_query_var('cat');
endif;

if (is_tag()) :
$stcategoryid = get_query_var('tag_id');
endif;

if ($is_paged == '0' || $is_paged == '1' || $is_paged == '6' || $is_paged == '11' || $is_paged == '16' || $is_paged == '21') :
if (is_category()) :
$st_tax_titles = single_cat_title();
endif;
if (is_tag()) :
$st_tax_titles = single_tag_title();
endif;

elseif (($is_paged == '2' || $is_paged == '7' || $is_paged == '12' || $is_paged == '17' || $is_paged == '22') && (get_tax_meta($stcategoryid,'st_tax_keyphrase_1', true))) :
$st_tax_titles = get_tax_meta($stcategoryid,'st_tax_keyphrase_1', true);

elseif (($is_paged == '3' || $is_paged == '8' || $is_paged == '13' || $is_paged == '18' || $is_paged == '23') && (get_tax_meta($stcategoryid,'st_tax_keyphrase_2', true))) :
$st_tax_titles = get_tax_meta($stcategoryid,'st_tax_keyphrase_2', true);

elseif (($is_paged == '4' || $is_paged == '9' || $is_paged == '14' || $is_paged == '19' || $is_paged == '24') && (get_tax_meta($stcategoryid,'st_tax_keyphrase_3', true))) :
$st_tax_titles = get_tax_meta($stcategoryid,'st_tax_keyphrase_3', true);

elseif (($is_paged == '5' || $is_paged == '10' || $is_paged == '15' || $is_paged == '20' || $is_paged == '25') && (get_tax_meta($stcategoryid,'st_tax_keyphrase_4', true))) :
$st_tax_titles = get_tax_meta($stcategoryid,'st_tax_keyphrase_4', true);

else :
if (is_category()) :
$st_tax_titles = single_cat_title();
endif;
if (is_tag()) :
$st_tax_titles = single_tag_title();
endif;

endif;

echo $st_tax_titles;
#return $st_tax_titles;
} ?>
<?php 
function st_seo_yoast_social() {
global $post;
$st_opengraph_title = null;
$st_opengraph_description = null;
$st_opengraph_image = null;
$st_opengraph_url = null;
$st_opengraph_type = null;
$st_fbpage_url = null;

if (is_singular() &! is_front_page()) : #Single, Page not Front Start
if (get_post_meta($post->ID, '_yoast_wpseo_opengraph-title', true)) :
$st_opengraph_title = get_post_meta($post->ID, '_yoast_wpseo_opengraph-title', true);
endif;

if (get_post_meta($post->ID, '_yoast_wpseo_opengraph-description', true)) :
$st_opengraph_description = get_post_meta($post->ID, '_yoast_wpseo_opengraph-description', true);
endif;

if (get_post_meta($post->ID, '_yoast_wpseo_opengraph-image', true)) :
$st_opengraph_image = get_post_meta($post->ID, '_yoast_wpseo_opengraph-image', true);
endif;

if ($st_opengraph_image == null) :
if (get_post_meta($post->ID, 'thumb', true)) :
$st_opengraph_image = get_post_meta($post->ID, 'thumb', true);
endif;
endif;

if ($st_opengraph_url == null) :
global $wp_the_query;
if ( !$id = $wp_the_query->get_queried_object_id() )
return;
$st_opengraph_url = get_permalink( $id );
if ( $page = get_query_var('cpage') )
$st_opengraph_url = get_comments_pagenum_link( $page );
endif;

if ($st_opengraph_type == null) :
$st_opengraph_type = 'article';
endif;

endif; #Single, Page not Front End

if (is_front_page() || is_home()) : #Front Start

if (st_social_home_title() != '') :
$st_opengraph_title = st_social_home_title();
endif;

if (st_social_home_desc() != '') :
$st_opengraph_description = st_social_home_desc();
endif;

if (st_social_home_image() != '') :
$st_opengraph_image = st_social_home_image();
endif;

if ($st_opengraph_url == null) :
$st_opengraph_url = home_url();
endif;

if ($st_opengraph_type == null) :
$st_opengraph_type = 'website';
endif;

endif; #Front End

if (is_category()) : #Cat Start
$stcategoryid = get_query_var('cat');

if (get_tax_meta($stcategoryid, 'st_tax_og_title', true)):
$st_opengraph_title = get_tax_meta($stcategoryid, 'st_tax_og_title');
endif;

if (get_tax_meta($stcategoryid, 'st_tax_og_description', true)):
$st_opengraph_description = get_tax_meta($stcategoryid, 'st_tax_og_description');
endif;

if (get_tax_meta($stcategoryid, 'st_tax_og_image', true)):
$st_opengraph_image = get_tax_meta($stcategoryid, 'st_tax_og_image');
endif;

if ($st_opengraph_url == null) :
$st_opengraph_url = get_category_link(get_query_var('cat'));
endif;

if ($st_opengraph_type == null) :
$st_opengraph_type = 'object';
endif;

endif; #Cat End

if (is_tag()) : #Tag Start
$stcategoryid = get_query_var('tag_id');

if (get_tax_meta($stcategoryid, 'st_tax_og_title', true)):
$st_opengraph_title = get_tax_meta($stcategoryid, 'st_tax_og_title');
endif;

if (get_tax_meta($stcategoryid, 'st_tax_og_description', true)):
$st_opengraph_description = get_tax_meta($stcategoryid, 'st_tax_og_description');
endif;

if (get_tax_meta($stcategoryid, 'st_tax_og_image', true)):
$st_opengraph_image = get_tax_meta($stcategoryid, 'st_tax_og_image');
endif;

if ($st_opengraph_url == null) :
$st_opengraph_url = get_term_link(get_query_var('tag'), 'post_tag');
endif;

if ($st_opengraph_type == null) :
$st_opengraph_type = 'object';
endif;

endif; # Tag End

if ($st_opengraph_title == null) :
ob_start();
st_seo_title_e_clean();
$st_seo_title_e_clean = ob_get_contents();
ob_end_clean();
$st_opengraph_title = $st_seo_title_e_clean;
endif;

if ($st_opengraph_title != null) :
echo "<meta property=\"og:title\" content=\"" .esc_attr($st_opengraph_title). "\" />\n";
endif;

if ($st_opengraph_description == null) :
ob_start();
st_seo_meta_d_clean();
$st_seo_meta_d_clean = ob_get_contents();
ob_end_clean();
$st_opengraph_description = $st_seo_meta_d_clean;
endif;

if ($st_opengraph_description != null) :
echo "<meta property=\"og:description\" content=\"" .esc_attr($st_opengraph_description). "\" />\n";
endif;

if ($st_opengraph_image == null) :
if (st_social_default_image() != '') :
$st_opengraph_image = st_social_default_image();
endif;
endif;

if ($st_opengraph_image != null) :
echo "<meta property=\"og:image\" content=\"" .esc_url($st_opengraph_image). "\" />\n";
endif;

if ($st_opengraph_url != null) :
echo "<meta property=\"og:url\" content=\"" .esc_url($st_opengraph_url). "\" />\n";
endif;

if ($st_opengraph_type == null) :
$st_opengraph_type = 'object';
endif;

if ($st_opengraph_type != null) :
echo "<meta property=\"og:type\" content=\"" .esc_attr($st_opengraph_type). "\" />\n";
endif;

echo "<meta property=\"og:site_name\" content=\"" . get_bloginfo('name') . "\" />\n";
echo "<meta property=\"og:locale\" content=\"" .get_locale(). "\" />\n";

if (is_singular() &! is_front_page()) : #Single, Page not Front Start
$pub = get_the_date( 'c' );
$mod = get_the_modified_date( 'c' );
echo "<meta property=\"article:published_time\" content=\"" .$pub. "\" />\n";
echo "<meta property=\"article:modified_time\" content=\"" .$mod. "\" />\n";
echo "<meta property=\"og:updated_time\" content=\"" .$mod. "\" />\n";
endif;

if (st_social_fbpage_url() != '') :
$st_fbpage_url = st_social_fbpage_url();
endif;

if ($st_fbpage_url != null) :
echo "<meta property=\"article:publisher\" content=\"" .esc_attr($st_fbpage_url). "\" />\n";
endif;

}
if (st_social_ogmeta() == '1') {
add_action('wp_head', 'st_seo_yoast_social');
}
?>