<?php
/*
  Template Name: Sitemap with Recent Comments, Pages and Posts
 */
?>
<?php
if (function_exists('cat_temp_menus')) {
global $post, $id;
}
?>
<?php get_header(); ?>

<?php if ((st_feature_slide_ors() == '3' && st_feature_slidepost_ors() == '1') or ((st_feature_slide() == '1' or st_feature_slide() == '2') && st_feature_slidepost_ors() == '1' && is_front_page())) { ?><?php get_template_part( 'layout/featured-slideshow' ); ?><?php } ?>

<?php if (is_active_sidebar('st-below-head2-widget-area') && st_meta_belowhead2() != '0') : ?>
<div class="stfullwidget widget-area">
<div class="sidebar-box">
<?php dynamic_sidebar('st-below-head2-widget-area'); ?>
</div></div>
<?php endif; ?>

<div id="content_all">
<div id="maincontent">

<?php if ((st_feature_slide_ors() == '3' && st_feature_slidepost_ors() == '2') or ((st_feature_slide() == '1' or st_feature_slide() == '2') && st_feature_slidepost_ors() == '2' && is_front_page())) { ?><?php get_template_part( 'layout/featured-slideshow' ); ?><?php } ?>

<?php get_template_part( 'layout/landscape-images' ); ?>

<?php if (is_active_sidebar('banner-widget-area') && st_meta_bannerwidget() != '0') : ?><div id="banner_widget" class="sidebar-box">
<?php dynamic_sidebar('banner-widget-area'); ?>
</div>
<div class="clear"></div><?php endif; ?>

<div id="post-entry">
<?php if (have_posts()) : ?>

<?php if (st_infolinks_on() == '1') { ?><!--INFOLINKS_ON--><?php } ?>
<div id="archives-sitemap" class="post-meta">
<?php get_template_part( 'layout/link_h1_self' ); ?>

<div class="post-content">
<?php if (st_social_network_ors() == '1') { ?><?php get_template_part( 'plugins/social-network' ); ?><?php } ?>

<?php if (is_active_sidebar('content-widget-area') && st_meta_contentwidget() != '0') : ?>
<div id="content_widget" class="sidebar-box <?php echo st_content_widget_align_ors(); ?>">
<?php dynamic_sidebar('content-widget-area'); ?>
</div><?php endif; ?>

<?php get_template_part( 'ad_includes/adsense_con1' ); ?>
<?php get_template_part( 'ad_includes/chitika_con1' ); ?>
<p>Most Recent 100 Comments on the <?php bloginfo('name'); ?> website</p>

<?php mw_recent_comments(100, false, 100, 20, 40, 'comment_only', '<p><strong>Comment %comid% by %author_name%</strong> on %date% :<br /><a href="%permalink%">%title%</a></p>', 'd.m.y, H:i'); ?>

</div>

<div class="divpadding"></div>

<h2><?php bloginfo('name'); ?> Sitemap</h2>

<div class="post-content">
<ul>
<?php wp_get_archives('type=alpha&limit=1000'); ?>
</ul>

<ul>
<?php wp_list_pages('sort_column=menu_order&title_li='); ?>
</ul>

<?php if (st_infolinks_on() == '1') { ?><!--INFOLINKS_OFF--><?php } ?>
</div>

</div>

<div class="divpadding"></div>

<?php if (st_social_network_ors() == '2') { ?><?php get_template_part( 'plugins/social-network' ); ?>
<div class="clear"></div><?php } ?>

<?php if (is_active_sidebar('bottom-content-widget-area') && st_meta_bottomcontentwidget() != '0') : ?>
<div id="bottom-content-widget" class="sidebar-box">
<?php dynamic_sidebar('bottom-content-widget-area'); ?>
</div>
<div class="clear"></div><?php endif; ?>

<?php get_template_part( 'ad_includes/chitika_con4' ); ?>
<?php get_template_part( 'ad_includes/adsense_con3' ); ?>
<?php get_template_part( 'ad_includes/adsense_lnk4' ); ?>
<?php endif; ?>

</div>

</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>